# --------------------------------------------------- #
# Script of Saga III Dish.cgi Version 5 (2.1)
# Copyright (C) 2007 Missing Link.
# --------------------------------------------------- #

# Dish Data /f[^/ #
@FI = (
        { id => { Garlic => 1, Basil => 1, Blackpepper => 1, Oil => 1 },
          cl => { Ck => 1 },
          gf => 'tc=1',
          gv => 'lf=1,vt=2',
          ex => 10,
          rl => 68,
          dt => { nm => 'T_hbVO',
                  cl => 'Mt',
                  id => 'Saladdressing',
                  ql => 'Tr',
                  im => 'saladdressing.gif',
                  qn => 2 } },
        { id => { Salt => 1, Blackpepper => 1 },
          cl => { Ck => 1 },
          gf => 'tc=1',
          gv => 'lf=1,vt=2',
          ex => 10,
          rl => 68,
          dt => { nm => 'RVE',
                  cl => 'Mt',
                  id => 'Saltandpepper',
                  ql => 'Tr',
                  im => 'spiceblend.gif',
                  qn => 3 } },
        { id => { Garlic => 1, Basil => 1, Blackpepper => 1, Salt => 1 },
          cl => { Ck => 1 },
          gf => 'tc=1',
          gv => 'lf=1,vt=2',
          ex => 10,
          rl => 68,
          dt => { nm => 'XpCXuh',
                  cl => 'Mt',
                  id => 'Spiceblend',
                  ql => 'Tr',
                  im => 'spiceblend.gif',
                  qn => 3 } },
        { id => { Tomato => 1, Spiceblend => 1 },
          cl => { Ck => 1, Fi => 1 },
          gf => 'tc=1',
          gv => 'lf=1,vt=2',
          ex => 10,
          rl => 68,
          dt => { nm => 'g}g\[X',
                  cl => 'Fd',
                  id => 'Tomatosauce',
                  ql => 'Tr',
                  im => 'redsauce.gif',
                  qn => 5 } },
        { id => { Onion => 1, Spiceblend => 1 },
          cl => { Ck => 1, Fi => 1 },
          gf => 'tc=1',
          gv => 'lf=1,vt=2',
          ex => 10,
          rl => 68,
          dt => { nm => 'IjI\[X',
                  cl => 'Fd',
                  id => 'Onionsauce',
                  ql => 'Tr',
                  im => 'brownsauce.gif',
                  qn => 5 } },
        { id => { Egg => 1, Saltandpepper => 1 },
          cl => { Ck => 1, Fi => 1 },
          gf => 'tc=1',
          gv => 'lf=1,vt=2',
          ex => 10,
          rl => 68,
          dt => { nm => 'ڋʏĂ',
                  cl => 'Fd',
                  id => 'Sunnysideup',
                  im => 'sunnysideup.gif' } },
        { id => { Egg => 1, Tomatosauce => 1, Oil => 1 },
          cl => { Ck => 1, Fi => 1 },
          gf => 'tc=1',
          gv => 'lf=1,vt=2',
          ex => 10,
          rl => 68,
          dt => { nm => '^}SIc',
                  cl => 'Fd',
                  id => 'Eggomelette',
                  im => 'omelette.gif' } },
        { id => { Sardine => 1, Saltandpepper => 1 },
          cl => { Ck => 1, Fi => 1 },
          gf => 'tc=2',
          gv => 'lf=1,vt=2',
          ex => 20,
          rl => 66,
          dt => { nm => 'CV̉Ă',
                  cl => 'Fd',
                  id => 'Grilledsardine',
                  im => 'roastedfish.gif' } },
        { id => { Trout => 1, Saltandpepper => 1 },
          cl => { Ck => 1, Fi => 1 },
          gf => 'tc=2',
          gv => 'lf=1,vt=2',
          ex => 20,
          rl => 66,
          dt => { nm => '}X̉Ă',
                  cl => 'Fd',
                  id => 'Grilledtrout',
                  im => 'roastedfish.gif' } },
        { id => { Mushroom => 1, Redpepper => 1, Saltandpepper => 1 },
          cl => { Ck => 1, Fi => 1 },
          gf => 'tc=2',
          gv => 'lf=1,vt=2',
          ex => 20,
          rl => 66,
          dt => { nm => 'LmR̃\e[',
                  cl => 'Fd',
                  id => 'Sauteedmushrooms',
                  im => 'friedvegetables.gif' } },
        { id => { Potato => 1, Butter => 1 },
          cl => { Ck => 1, Fi => 1 },
          gf => 'tc=2',
          gv => 'lf=1,vt=2',
          ex => 20,
          rl => 66,
          dt => { nm => 'xCNh|eg',
                  cl => 'Fd',
                  id => 'Bakedpotato',
                  im => 'bakedpotato.gif' } },
        { id => { Potato => 1, Salt => 1, Oil => 2 },
          cl => { Ck => 1, Fi => 1 },
          gf => 'tc=3',
          gv => 'lf=1,vt=2',
          ex => 30,
          rl => 64,
          dt => { nm => 'tCh|eg',
                  cl => 'Fd',
                  id => 'Frenchfries',
                  im => 'frenchfries.gif' } },
        { id => { Sardine => 1, Saltandpepper => 1, Butter => 1 },
          cl => { Ck => 1, Fi => 1 },
          gf => 'tc=3',
          gv => 'lf=1,vt=2',
          ex => 30,
          rl => 64,
          dt => { nm => 'CṼ\e[',
                  cl => 'Fd',
                  id => 'Sauteedsardine',
                  im => 'sauteedfish.gif' } },
        { id => { Chicken => 1, Saltandpepper => 1 },
          cl => { Ck => 1, Fi => 1 },
          gf => 'tc=3',
          gv => 'lf=1,vt=2',
          ex => 30,
          rl => 64,
          dt => { nm => '[Xg`L',
                  cl => 'Fd',
                  id => 'Grilledchicken',
                  im => 'roastedchicken.gif' } },
        { id => { Mutton => 1, Saltandpepper => 1 },
          cl => { Ck => 1, Fi => 1 },
          gf => 'tc=3',
          gv => 'lf=1,vt=2',
          ex => 30,
          rl => 64,
          dt => { nm => 'VVJou',
                  cl => 'Fd',
                  id => 'Seekhkabab',
                  im => 'seekhkabab.gif' } },
        { id => { Pork => 1, Saltandpepper => 1 },
          cl => { Ck => 1, Fi => 1 },
          gf => 'tc=3',
          gv => 'lf=1,vt=2',
          ex => 30,
          rl => 64,
          dt => { nm => '[Xg|[N',
                  cl => 'Fd',
                  id => 'Grilledpork',
                  im => 'roastpork.gif' } },
        { id => { Beef => 1, Saltandpepper => 1 },
          cl => { Ck => 1, Fi => 1 },
          gf => 'tc=3',
          gv => 'lf=1,vt=2',
          ex => 30,
          rl => 64,
          dt => { nm => '[Xgr[t',
                  cl => 'Fd',
                  id => 'Grilledbeef',
                  im => 'roastbeef.gif' } },
        { id => { Egg => 1, Pork => 1, Saltandpepper => 1, Oil => 1 },
          cl => { Ck => 1, Fi => 1 },
          gf => 'tc=4',
          gv => 'lf=1,vt=2',
          ex => 40,
          rl => 62,
          dt => { nm => 'x[RGbO',
                  cl => 'Fd',
                  id => 'Baconegg',
                  im => 'baconegg.gif' } },
        { id => { Chicken => 1, Spiceblend => 1 },
          cl => { Ck => 1, Fi => 1 },
          gf => 'tc=4',
          gv => 'lf=1,vt=2',
          ex => 40,
          rl => 62,
          dt => { nm => 'n[u`L',
                  cl => 'Fd',
                  id => 'Herbchicken',
                  im => 'herbchicken.gif' } },
        { id => { Tomato => 1, Lettuce => 1, Saladdressing => 1 },
          cl => { Ck => 1 },
          gf => 'tc=4',
          gv => 'lf=1,vt=2',
          ex => 40,
          rl => 62,
          dt => { nm => 'g}gT_',
                  cl => 'Fd',
                  id => 'Tomatosalad',
                  im => 'salad.gif' } },
        { id => { Pork => 1, Potato => 1, Saltandpepper => 1, Oil => 1 },
          cl => { Ck => 1, Fi => 1 },
          gf => 'tc=5',
          gv => 'lf=1,vt=2',
          ex => 50,
          rl => 60,
          dt => { nm => 'W[}|eg',
                  cl => 'Fd',
                  id => 'Bratkartoffeln',
                  im => 'bratkartoffeln.gif' } },
        { id => { Chicken => 1, Breadcrumbs => 1, Spiceblend => 1, Oil => 2 },
          cl => { Ck => 1, Fi => 1 },
          gf => 'tc=5',
          gv => 'lf=1,vt=2',
          ex => 50,
          rl => 60,
          dt => { nm => 'tCh`L',
                  cl => 'Fd',
                  id => 'Friedchicken',
                  im => 'lambchop.gif' } },
        { id => { Beef => 1, Onionsauce => 1, Breadcrumbs => 1 },
          cl => { Ck => 1, Fi => 1 },
          gf => 'tc=5',
          gv => 'lf=1,vt=2',
          ex => 60,
          rl => 58,
          dt => { nm => 'no[O',
                  cl => 'Fd',
                  id => 'Hamburgersteak',
                  im => 'hamburgersteak.gif' } },
);

# --------------------------------------------------- #
1;
