# --------------------------------------------------- #
# Script of Saga III Liquor.cgi Version 4 (2.0)
# Copyright (C) 2007 Missing Link.
# --------------------------------------------------- #

# Liquor Data /f[^/ #
@FI = (
        { id => { Berry => 1, Sugar => 1, Mint => 1 },
          cl => { Ck => 1, Fv => 1 },
          ss => { Strawberry => 'Berry', Raspberry => 'Berry', Blueberry => 'Berry', Blackberry => 'Berry', Cassis => 'Berry' },
          gf => 'tc=1',
          gv => 'lf=1,vt=2',
          ex => 10,
          rl => 68,
          dt => { nm => 'x[tBY',
                  cl => 'Fd',
                  id => 'Berryfizz',
                  ql => 'Dr',
                  im => 'pinkfizz.gif' } },
        { id => { Lemon => 1, Sugar => 1 },
          cl => { Ck => 1, Fv => 1 },
          gf => 'tc=2',
          gv => 'lf=2,vt=2',
          ex => 20,
          rl => 66,
          dt => { nm => 'l[h',
                  cl => 'Fd',
                  id => 'Lemonade',
                  ql => 'Dr',
                  im => 'lemonade.gif' } },
        { id => { Tomato => 1, Lemon => 1 },
          cl => { Ck => 1 },
          gf => 'tc=2',
          gv => 'lf=2,vt=2',
          ex => 20,
          rl => 66,
          dt => { nm => 'g}gW[X',
                  cl => 'Fd',
                  id => 'Tomatojuice',
                  ql => 'Dr',
                  im => 'redfizz.gif' } },
        { id => { Berry => 1, Yeast => 1, Mint => 1 },
          ss => { Strawberry => 'Berry', Raspberry => 'Berry', Blueberry => 'Berry', Blackberry => 'Berry', Cassis => 'Berry'  },
          cl => { Ba => 1, Fv => 1 },
          gf => 'tc=3',
          gv => 'lf=3,vt=2',
          ex => 30,
          rl => 64,
          dt => { nm => 'x[',
                  cl => 'Fd',
                  id => 'Liquorberry',
                  ql => 'Dr,Al',
                  im => 'wine.gif' } },
        { id => { Coffeebeans => 1, Sugar => 1 },
          cl => { Fi => 1, Fv => 1 },
          gf => 'tc=3',
          gv => 'lf=3,vt=2',
          ex => 30,
          rl => 64,
          dt => { nm => 'R[q[',
                  cl => 'Fd',
                  id => 'Coffee',
                  ql => 'Dr',
                  im => 'coffee.gif' } },
        { id => { Coffee => 1, Milk => 1 },
          gf => 'tc=4',
          gv => 'vt=2',
          ex => 10,
          rl => 68,
          dt => { nm => 'JtFI',
                  cl => 'Fd',
                  id => 'Cafeaulait',
                  ql => 'Dr',
                  im => 'cafeaulait.gif' } },
        { id => { Cafeaulait => 1, Honey => 1, Cinnamon => 1 },
          gf => 'tc=5',
          gv => 'vt=2',
          ex => 10,
          rl => 68,
          dt => { nm => 'nj[JtFe',
                  cl => 'Fd',
                  id => 'Honeycafelatte',
                  ql => 'Dr',
                  im => 'cafeaulait.gif' } },
);

# --------------------------------------------------- #
1;
