# --------------------------------------------------- #
# Script of Saga III Main.cgi Version 6 (2.2)
# Copyright (C) 2005-2007 Missing Link.
# --------------------------------------------------- #

# Sub Main #
sub main {
my ($do,$body,$selected,$K,$V,$option_magic,$precode,
    $option_poem,$spotoption,$X,$Y,$environment);

    require "$set::lib_dir/placechange.cgi";

    &departure_monitor;
    &oceanliner_monitor;

    &error('ID͂ł') if $F{id} eq '';
    &error('Password͂ł') if $F{ps} eq '';

    $I = &get_user('I','','in');

    if ($set::wcm) {
        require "$set::lib_dir/watchman.cgi";
        &watchman;
    }

    $precode = (stat("$set::Ucd_dir/$I->{id}.cgi"))[9];
    $precode += $I->{li} eq 'out' ? $set::lgi : 0;

    &get_place($I);
    &get_kingdom($I);
    &set_cookie;

    @{$I->{Pp}} = &open_dat("$set::plc_dir/$I->{pl}.cgi");
    $I->{Pp} = @{$I->{Pp}};

    # h
    if ($I->{da} eq 'Dd') {
        $K = time - $I->{dd} - $set::rvv * 3600;
        if ($K > 0) {
            &change_condition($I,'da');
        }
        else {
            $K  = abs($K);
            &M("Clock('revive','$K')",1);
        }
    }

    # HEȀ
    &change_status($I,'hl',-$set::lgh);

    # Ԉُ̃^C~bgmF
    &time_limit_check($I);

    # VIT̉
    if ($I->{da} ne 'Dd' && $set::rcv) {
        $I->{Vt}  = int((time - $precode) / $set::rcv) / 10;
        $I->{vt} += $I->{Vt};
        $I->{vt}  = $I->{Mvt} if $I->{vt} > $I->{Mvt};
    }
    $I->{Vt}  = int($I->{vt});
    $I->{li}  = 'in';
    &set_user($I);

    # ŒQ[W̕\
    foreach (@set::gfx) { $I->{"G$_"} = &fixed_gage($I->{$_}) }
    # σQ[W̕\
    foreach (@set::gva) { ($I->{"G$_"},$I->{"X$_"}) = &variable_gage($I->{$_}) }
    # ACR\
    foreach (split(/,/,$I->{Pl}{ev})) {
        $environment .= qq|<img src=$set::mim_dir/env$_.gif title="$I->{Pl}{ev}{$_}"> |;
    }
    # ړX|bgIvV
    &spot_option($I);
    $selected = ' selected';
    foreach (@{$I->{So}}) {
        ($K,$V) = split(/=/);
        $spotoption .=  qq|<option value="$K"$selected>$V֍s</option>\n|;
        $selected = '';
    }

    # i̖O擾
    map { &get_equipment($I,$_);
          &get_effect($I->{ucfirst($_)}); } keys %set::eqp;

    # T񐔃IvV
    for (1..$set::fdo) { $do .= qq|<option value="$_">$_</option>| }

    # V̎莆
    if ((stat("$set::Uml_dir/$I->{id}.cgi"))[9] > $I->{mb}) {
        &M("Message(self,'newmail','<img src=$set::mim_dir/mail.gif> V莆܂')",1);
    }

    # My Record
    if ((stat("$set::Urc_dir/$I->{id}.cgi"))[9] > $precode) {
        &M("Message(self,'newrecord','<img src=$set::mim_dir/mail.gif> My RecordXVĂ܂')",1);
    }

    &set_code('on');

    # XV̖vC[̍폜 #
    if (&schedule_monitor(0,0)) {
        require "$set::lib_dir/delete.cgi";
        &delete_check;
    }

    $body = join(',',@{$I->{M}});
    $body = qq| onLoad="$body"| if $body;

    $I->{rw} = "<span class=alert>$I->{rw}</span>" if $I->{rw} >= $set::sps;

    ($X,$Y) = split(/,/,$I->{Pl}{lc});

    $V = $I->{Sk}{Po} ? '':
         $I->{Sk}{Xd} ? 'T': 0;

    $option_poem = qq|<option value="poem_before">$V</option>\n| if $V;
    $option_magic = qq|<option value="magic_before">@Zbg</option>\n| if $I->{Sk}{Mg};

    &condition_initial($I,'cd') if !$I->{Cd}{in};
    &get_companion($I);
    $I->{Co}{Im} = &item_image($I->{Co});

    &header(CSS=>'main',JavaScript=>'OpenWindow,Clock,Reload',Body=>$body);
    print <<"    END_OF_HTML";
    <table class=basetable cellpadding=5 align=center>
    <tr>
    <td width=50%> 
    <div class=label>ꏊ</div>
    <table class=outertable border=1>
    <tr>
    <td class=padding><img id=I1 src=$set::mim_dir/$I->{Pl}{im}></td>
    <td class=padding width=100%>
    F<span id=kg>$I->{Kg}{nm}</span><br>
    ݒnF<span id=pl>$I->{Pl}{nm}</span><br>
    <span id=pl2>$I->{Pl}{nm}</span>ɂlF<span id=pp>$I->{Pp}</span>l <br>
    F<span id=pr>$I->{Pl}{pr}</span>
    </td>
    </tr>
    <tr><td class=padding colspan=2>
    <span id=ev>$environment</span><img src=$set::mim_dir/envCh.gif title="">
    <div class=r><input type=button class=button onClick="return OpenWindow('$set::htm_dir/environment.html','myrecord',400,600)" value="Xg"></div>
    </td></tr>
    </table>
    <br> 
    <div class=label>R}h</div>
    <table class=outertable>
    <tr>
    <form method=post action=$set::cgi_url target=myrecord>
    <td>
    <input type=submit class=button onClick="return OpenWindow('','myrecord',600,600,this.form)" value="My Record">
    <input type=hidden name=md value="myrecord">
    <input type=hidden name=id value="$F{id}">
    <input type=hidden name=ps value="$F{ps}">
    </td>
    </form>
    <form name=mapform method=post action=$set::cgi_url target=map>
    <td>
    <input type=submit class=button onClick="return OpenWindow('','map',500,400,this.form)" value="n}">
    <input type=hidden name=md value="map">
    <input type=hidden name=id value="$F{id}">
    <input type=hidden name=ps value="$F{ps}">
    </td>
    </form>
    <form method=post action=$set::cgi_url target=bag>
    <td>
    <input type=submit class=button onClick="return OpenWindow('','bag',350,500,this.form)" value="ו">
    <input type=hidden name=md value="bag">
    <input type=hidden name=id value="$F{id}">
    <input type=hidden name=ps value="$F{ps}">
    </td>
    </form>
    <form method=post action=$set::cgi_url target=bag>
    <td>
    <input type=submit class=button onClick="return OpenWindow('','bag',350,500,this.form)" value="쐬">
    <input type=hidden name=md value="compose">
    <input type=hidden name=id value="$F{id}">
    <input type=hidden name=ps value="$F{ps}">
    </td>
    </form>
    <form method=post action=$set::cgi_url target=pet>
    <td>
    <input type=submit class=button onClick="return OpenWindow('','pet',350,600,this.form)" value="$set::lab{pt}">
    <input type=hidden name=md value="pet">
    <input type=hidden name=id value="$F{id}">
    <input type=hidden name=ps value="$F{ps}">
    </td>
    </form>
    <form method=post action=$set::cgi_url target=guild>
    <td>
    <input type=submit class=button onClick="return OpenWindow('','guild',350,600,this.form)" value="$set::lab{gu}">
    <input type=hidden name=md value="guild">
    <input type=hidden name=id value="$F{id}">
    <input type=hidden name=ps value="$F{ps}">
    </td>
    </form>
    <form method=post action=$set::cgi_url target=quest>
    <td>
    <input type=submit class=button onClick="return OpenWindow('','quest',350,600,this.form)" value="$set::lab{qs}">
    <input type=hidden name=md value="quest_before">
    <input type=hidden name=id value="$F{id}">
    <input type=hidden name=ps value="$F{ps}">
    </td>
    </form>
    <form method=post action=$set::cgi_url>
    <td width=100% class=r>
    <input type=submit class=button value="OAEg">
    <input type=hidden name=md value="logout">
    <input type=hidden name=id value="$F{id}">
    <input type=hidden name=ps value="$F{ps}">
    </td>
    </form>
    </tr>
    </table>

    <table class=outertable border=1>
    <tr><th>ANV</th><th>vC[Xg</th><th>ړ</th><th>T</th></tr>
    <tr>
    <form action=$set::cgi_url method=post target=action>
    <td nowrap>
    <select name=md size=8 class=select>
    <option value="contact_before" selected>vC[ɐڐG</option>
    <option value="transfer_before">̒nֈړ</option>
    <option value="words_before">ȏЉݒ</option>
    <option value="friends_before">thݒ</option>
    <option value="orb_before">$set::orb{x}̐ݒ</option>
    <option value="bounty_before">$set::lab{rw}</option>
    <option value="option_before">퓬⏕ACe</option>
    $option_poem
    $option_magic
    <option value="color_before">F̐ݒ</option>
    <option value="stance_before">X^X̐ݒ</option>
    <option value="ornament_before"></option>
    <option value="reinforce_before">⋭</option>
    <option value="levelup_before">xAbv{[iX</option>
    <option value="face_before">C[W摜̕ύX</option>
    <option value="backup_before">f[^̃obNAbv</option>
    <option value="jobchange_before">]E</option>
    <option value="delete_before">LN^[폜</option>
    </select>
    <input type=submit class=button onClick="return OpenWindow('','action',400,550,this.form)" value="$set::okb">
    <input type=hidden name=id value="$F{id}">
    <input type=hidden name=ps value="$F{ps}">
    </td>
    </form>
    <form name=playerlistform method=post action=$set::cgi_url target=playerlist>
    <td nowrap>
    <select name=or size=8 class=select>
    <option value="Ft" selected>퓬n</option>
    <option value="Cz">Yn</option>
    <option value="Bt">܋</option>
    <option value="Ps">lv</option>
    <option value="Si">̔</option>
    <option value="Rk">LO</option>
    </select>
    <input type=submit class=button onClick="return OpenWindow('','playerlist',0,0,this.form)" value="$set::okb">
    <input type=hidden name=md value="playerlist">
    <input type=hidden name=pl value="$I->{pl}">
    </td>
    </form>
    <form name=spotform method=post action=$set::cgi_url target=spot>
    <td nowrap>
    <select name=md size=8 class=select>$spotoption<option value=church_before>֍s</option></select>
    <input type=submit class=button onClick="return OpenWindow('','spot',400,500,this.form)" value="$set::okb">
    <input type=hidden name=id value="$F{id}">
    <input type=hidden name=ps value="$F{ps}">
    </td>
    </form>
    <form name=findform method=post action=$set::cgi_url target=find>
    <td nowrap width=100% class=r>
    <select name=do class=select>$do</select>
    <input type=submit class=button onClick="return OpenWindow('','find',400,500,this.form)" value="$set::okb">
    <input type=hidden name=md value="find">
    <input type=hidden name=id value="$F{id}">
    <input type=hidden name=ps value="$F{ps}">
    </td>
    </form>
    </tr>
    </table>

    <table class=outertable>
    <tr>
    <form method=post action=$set::cgi_url target=mailbox>
    <td width=100% class=r>
    <input type=submit class=button onClick="return OpenWindow('','mailbox',600,600,this.form)" value="莆ǂ">
    <input type=hidden name=md value="mail_box">
    <input type=hidden name=id value="$F{id}">
    <input type=hidden name=ps value="$F{ps}">
    </td>
    </form>
    <form method=post action=$set::cgi_url target=mail>
    <td>
    <input type=submit class=button onClick="return OpenWindow('','mail',400,500,this.form)" value="莆">
    <input type=hidden name=md value="mail_before">
    <input type=hidden name=id value="$F{id}">
    <input type=hidden name=ps value="$F{ps}">
    </td>
    </form>
    </tr>
    </table>

    </td>

    <td width=50%>
    <div class=label>Xe[^X</div>
    <table class=outertable border=1>
    <tr>
    <th nowrap class=padding><img name=I2 src=$set::mim_dir/$I->{im} class=image><br><span id=nm>$I->{nm}</span></th>
    <td width=100% rowspan=2>

    <table width=100%>
    <tr>
    <td class=padding width=40%>
    $set::lab{sx}F<img src=$set::mim_dir/$I->{sx}.gif><br>
    $set::lab{kg}F<img src=$set::mim_dir/flag$I->{kg}.gif title=$I->{Kg}{nm}><br>
    $set::lab{jb}F<span id=jb>$I->{jb}</span><br>
    $set::lab{lv}F<span id=lv>$I->{lv}</span><br>
    $set::lab{ex}F<span id=ex>$I->{ex}</span><br>
    $set::lab{gl}F<span id=gl>$I->{gl}</span> $set::mny<br>
    $set::lab{rw}F<span id=rw>$I->{rw}</span> $set::mny<br>
    $set::lab{da}F<span id=da>$I->{Da}</span><br>
    $set::lab{ij}F<span id=ij>$I->{Ij}</span><br>
    $set::lab{cd}F<span id=cd>$I->{Cd}{in}</span><br>
    </td>
    <td class=padding>
    $set::eqp{rh}F<span id=rh>$I->{Rh}{Im}$I->{Rh}{nm}$I->{Rh}{Ef}</span><br>
    $set::eqp{lh}F<span id=lh>$I->{Lh}{Im}$I->{Lh}{nm}$I->{Lh}{Ef}</span><br>
    $set::eqp{sb}F<span id=sb>$I->{Sb}{Im}$I->{Sb}{nm}$I->{Sb}{Ef}</span><br>
    $set::eqp{hd}F<span id=hd>$I->{Hd}{Im}$I->{Hd}{nm}$I->{Hd}{Ef}</span><br>
    $set::eqp{bd}F<span id=bd>$I->{Bd}{Im}$I->{Bd}{nm}$I->{Bd}{Ef}</span><br>
    $set::eqp{lg}F<span id=lg>$I->{Lg}{Im}$I->{Lg}{nm}$I->{Lg}{Ef}</span><br>
    $set::eqp{nk}F<span id=nk>$I->{Nk}{Im}$I->{Nk}{nm}$I->{Nk}{Ef}</span><br>
    $set::eqp{fg}F<span id=fg>$I->{Fg}{Im}$I->{Fg}{nm}$I->{Fg}{Ef}</span><br>
    </td>
    </tr>
    </table>
    </td>
    </tr>
    <tr>
    <th><span id=pim>$I->{Co}{Im}</span><br><span id=pnm>$I->{Co}{nm}</span></th>
    </tr>
    </table>

    <table class=outertable border=1>
    <tr>
    <td width=100>
    <table>
    <tr>
    <td nowrap class=monospace>$set::lab{tc}</td>
    <td nowrap class=r><span id=tc>$I->{tc}</span></td>
    <td width=100%><span id=Gtc>$I->{Gtc}</span></td>
    </tr>
    <tr> 
    <td nowrap class=monospace>$set::lab{st}</td>
    <td nowrap class=r><span id=st>$I->{st}</span></td>
    <td width=100%><span id=Gst>$I->{Gst}</span></td>
    </tr>
    <tr> 
    <td nowrap class=monospace>$set::lab{dx}</td>
    <td nowrap class=r><span id=dx>$I->{dx}</span></td>
    <td width=100%><span id=Gdx>$I->{Gdx}</span></td>
    </tr>
    <tr> 
    <td nowrap class=monospace>$set::lab{in}</td>
    <td nowrap class=r><span id=in>$I->{in}</span></td>
    <td width=100%><span id=Gin>$I->{Gin}</span></td>
    </tr>
    <tr> 
    <td nowrap class=monospace>$set::lab{cn}</td>
    <td nowrap class=r><span id=cn>$I->{cn}</span></td>
    <td width=100%><span id=Gcn>$I->{Gcn}</span></td>
    </tr>
    </table>
    </td>
    <td>
    <table>
    <tr>
    <td nowrap class=monospace>$set::lab{lf}</td>
    <td nowrap class=r><span id=lf>$I->{lf}</span></td>
    <td width=100%><span id=Glf class=gage>$I->{Glf}$I->{Xlf}</span></td>
    </tr>
    <tr> 
    <td nowrap class=monospace>$set::lab{vt}</td>
    <td nowrap class=r><span id=vt>$I->{Vt}/$I->{Mvt}</span></td>
    <td width=100%><span id=Gvt class=gage>$I->{Gvt}$I->{Xvt}</span></td>
    </tr>
    <tr> 
    <td nowrap class=monospace>$set::lab{hl}</td>
    <td nowrap class=r><span id=hl>$I->{hl}</span></td>
    <td width=100%><span id=Ghl class=gage>$I->{Ghl}$I->{Xhl}</span></td>
    </tr>
    <tr> 
    <td nowrap class=monospace>$set::lab{ap}</td>
    <td nowrap class=r><span id=ap>$I->{ap}</span></td>
    <td width=100%><span id=Gap class=gage>$I->{Gap}$I->{Xap}</span></td>
    </tr>
    <tr> 
    <td nowrap class=monospace>$set::lab{hy}</td>
    <td nowrap class=r><span id=hy>$I->{hy}</span></td>
    <td width=100%><span id=Ghy class=gage>$I->{Ghy}$I->{Xhy}</span></td>
    </tr>
    </table>
    </td>
    </tr>
    </table>

    <table class=outertable>
    <tr> 
    <td width=33%>
    <a class=back href=$set::htm_dir/manual/ target=_blank>}jA</a><br>
    <a class=back href=$set::htm_dir/kingdom.html target=_blank>ꗗ\\</a><br>
    </td>
    <td width=33%>
    </td>
    <td width=33%>
    </td>
    </tr>
    </table>
    </td>
    </tr>
    </table>
    <div class=inform><div id=newmail></div><div id=newrecord></div><div id=revive></div></div>
    END_OF_HTML
    &footer;
}

# Sub Fixed Gage #
sub fixed_gage {
my $width = shift;
my $color;

    return undef if !$width;
    $color = $width <  5 ? 1: # red
             $width < 10 ? 2: # brown
             $width < 15 ? 3: # black
                           4; # blue
    $width *= 3;
    return qq|<img src=$set::mim_dir/gage$color.gif width=$width height=8 class=gage>|;
}

# Sub Variable Gage #
sub variable_gage {
my  $width = shift;
my  $color;
my  $max;

    return undef if !$width;
    ($width,$max) = split(/\//,$width);
    $color = $width < 20 ? 1: # red
             $width < 50 ? 2: # brown
             $width < 80 ? 3: # black
                           4; # blue
    $width = int($width);
    $max  -= $width;
    $width = qq|<img src=$set::mim_dir/gage$color.gif width=$width height=8>|;
    $max   = qq|<img src=$set::mim_dir/gage0.gif width=$max height=8>| if $max;
    $max   = undef if !$max;
    return($width,$max);
}

# Sub Departure Monitor #
sub departure_monitor {
my  $V;
my (@L,$D,@D,$C,@C,$M);

    return unless (stat("$set::dat_dir/sailing_day.cgi"))[7];

    $V = time;

    @D = map { [split(/<>/,$_)] } &open_dat("$set::dat_dir/sailing_day.cgi");

    return if !@D;

    require "$set::lib_dir/myrecord.cgi";
    require "$set::lib_dir/sailing.cgi";

    foreach $D (@D) {
        last if $D->[1] > $V;
        $D->[1] = '';

        $I = &get_user('U',$D->[0]);
        &get_ship($I,$D->[0]);

        &delete_place($I);
        $I->{pl} = $I->{Si}{go};
        &get_place($I);
        &set_place($I);

        foreach (@{$I->{Si}{Pg}}) {
            chomp $_;
            $U = &get_user('U',$_) or next;
            $F = &login_check($U,1) ? 1 : 0;
            $F = 2 if $U->{gl} < $I->{Si}{sp};
            if (!$F) {
                &change_status($U,'gl',-$I->{Si}{sp});
                &change_status($I,'gl',$I->{Si}{sp});

                &delete_place($U);
                $U->{pl} = $I->{Si}{go};
                &set_place($U);
                push(@C,$U->{nm});
            }
            $U->{ab} = '';
            &set_user($U);
            if ($F == 2) {
                &set_record("DADɏ邱Ƃł܂łB");
            }
            elsif ($F == 1) {
                &set_record("OC߁ADɏ邱Ƃł܂łB");
            }
            else {
                &set_record("$I->{Pl}{nm}Ɉړ܂B<br>DƂ$I->{Si}{sp} $set::mny$I->{nm}Ɏx܂B");
            }
        }

        $I->{Si}{go} = '';
        $I->{Si}{dt} = '';
        $I->{Si}{se} = '';
        $I->{Si}{nw} = '';
        $I->{Si}{db}--;
        undef $I->{Si}{Pg};
        &set_ship($I,$I->{id});

        $I->{li} ='out';
        &set_user($I);

        $U = $I;
        $C = @C;
        $M = '<br>' . join('A',@C) . " v$C̏q悹A" . $I->{Si}{sp} * $C . " $set::mny̎v𓾂܂B" if $C;
        &set_record("$I->{Pl}{nm}Ɉړ܂B$M");

        $F = 1;
    }
    &set_departure(\@D) if $F;
}

# Sub Ocean Liner Monitor #
sub oceanliner_monitor {
my (%D,$K,$V,$D,$F);

    return if !&schedule_monitor(2,$set::olt);
    return unless (stat("$set::dat_dir/oceanliner_passenger.cgi"))[7];

    %D = map { $_->[0] => $_->[1] }
         map { [split(/<>/)] } &open_dat("$set::dat_dir/oceanliner_passenger.cgi");

    require "$set::dat_dir/oceanliner_ship.cgi";
    require "$set::lib_dir/myrecord.cgi";

    while (($K,$V) = each %D) {
        ($OL{$K}{nw},$OL{$K}{go}) = split(/_/,$K);
        foreach $D (split(/,/,$V)) {
            $U = &get_user('U',$D) or next;
            $F = &login_check($U,1) ? 1 : 0;
            $F = 2 if $U->{gl} < $OL{$K}{sp};
            if (!$F) {
                &change_status($U,'gl',-$OL{$K}{sp});
                &delete_place($U);
                $U->{pl} = $OL{$K}{go};
                &set_place($U);
            }
            $U->{ab} = '';
            &set_user($U);
            if ($F == 2) {
                &set_record("DADɏ邱Ƃł܂łB");
            }
            elsif ($F == 1) {
                &set_record("OC߁ADɏ邱Ƃł܂łB");
            }
            else {
                &set_record("$OL{$K}{pl}Ɉړ܂B<br>DƂ$OL{$K}{sp} $set::mnyx܂B");
            }
        }
    }
    &write_dat("$set::dat_dir/oceanliner_passenger.cgi");
}

# --------------------------------------------------- #
1;
