# --------------------------------------------------- #
# Script of Saga III Item Data.cgi Version 3 (2.2)
# Copyright (C) 2007 Missing Link.
# --------------------------------------------------- #

%FD = (
    'Bs'                => { 'bp' => 30 },
    'Ax'                => {},
    'Ca'                => { 'bp' => 30 },
    'Sm'                => {},
    'Lm'                => {},
    'Sk'                => { 'bp' => 30 },
    'Tt'                => { 'bp' => 30 },
    'Sl'                => { 'bp' => 30 },
    'Pl'                => {},
    'Sr'                => {},

    'Ig'                => { 'bp' => 10, 'wt' => 0.5 },
    'Pi'                => { 'bp' => 10, 'wt' => 0.1 },
    'Wd'                => { 'bp' => 10, 'wt' => 1   },
    'Lt'                => { 'bp' => 30, 'wt' => 0.4 },
    'Ct'                => { 'bp' => 30, 'wt' => 0.4 },

    'Coal'              => { 'bp' => 30 },
    'Stone'             => { 'bp' => 15, 'wt' =>  2   },
    'Tannin'            => { 'bp' => 10 },
    'Stonepaper'        => { 'bp' => 50 },
    'Bone'              => { 'bp' => 50, 'wt' =>  0.1 },

    'Shortblade'        => { 'bp' => 50, 'wt' =>  1   },
    'Mediumblade'       => { 'bp' => 60, 'wt' =>  1.5 },
    'Longblade'         => { 'bp' => 70, 'wt' =>  2   },
    'Ironwire'          => { 'bp' => 40, 'wt' =>  0.5 },
    'Hammerhead'        => { 'bp' => 60, 'wt' =>  1.5 },
    'Ironplate'         => { 'bp' => 60, 'wt' =>  1.5 },
    'Ironpipe'          => { 'bp' => 25, 'wt' =>  0.5 },
    'Haft'              => { 'bp' => 55, 'wt' =>  1   },

    'Winebottle'        => { 'bp' => 10, 'wt' =>  0.1, 'lf' =>  3, 'hy' =>  5 },
    'Facetedcrystal'    => { 'bp' => 34, 'wt' =>  0.1 },
    'Ornament'          => { 'bp' => 50, 'wt' =>  0.2 },
    'Chain'             => { 'bp' => 40, 'wt' =>  0.1 },
    'Buckle'            => { 'bp' => 40, 'wt' =>  0.1 },

    'Woodenstick'       => { 'bp' => 30, 'wt' =>  0.4 },
    'Thinboard'         => { 'bp' => 30, 'wt' =>  0.6 },
    'Squaredlumber'     => { 'bp' => 30, 'wt' =>  0.8 },
    'Buttons'           => { 'bp' => 30, 'wt' =>  0.1 },

    'Wool'              => { 'bp' => 30, 'wt' =>  0.4 },
    'Cotton'            => { 'bp' => 30, 'wt' =>  0.4 },
    'Thread'            => { 'bp' => 15, 'wt' =>  0.2 },
    'Cutofcloth'        => { 'bp' => 15, 'wt' =>  0.2 },
    'Leatherstrap'      => { 'bp' => 15, 'wt' =>  0.2 },
    'Bandage'           => { 'bp' =>  5, 'wt' =>  0.1 },

    'Cubebasolution'    => { 'bp' =>  4 },

    'Mantis'            => { 'tp' => 'Reagent1' },
    'Snake'             => { 'tp' => 'Reagent1' },
    'Blackgarlic'       => { 'tp' => 'Reagent1' },
    'Mandrake'          => { 'tp' => 'Reagent1' },
    'Spider'            => { 'tp' => 'Reagent2' },
    'Frog'              => { 'tp' => 'Reagent2' },
    'Blackonion'        => { 'tp' => 'Reagent2' },
    'Otogirisou'        => { 'tp' => 'Reagent2' },
    'Centipede'         => { 'tp' => 'Reagent3' },
    'Newt'              => { 'tp' => 'Reagent3' },
    'Blackginger'       => { 'tp' => 'Reagent3' },
    'Alraune'           => { 'tp' => 'Reagent3' },
    'Scorpion'          => { 'tp' => 'Reagent4' },
    'Lizard'            => { 'tp' => 'Reagent4' },
    'Blackginseng'      => { 'tp' => 'Reagent4' },
    'Udumbara'          => { 'tp' => 'Reagent4' },

    'Reagent1'          => { 'bp' =>  3, 'wt' => 0.1 },
    'Reagent2'          => { 'bp' =>  6, 'wt' => 0.1 },
    'Reagent3'          => { 'bp' =>  9, 'wt' => 0.1 },
    'Reagent4'          => { 'bp' => 12, 'wt' => 0.1 },

    'Basil'             => { 'tp' => 'Spice' },
    'Blackpepper'       => { 'tp' => 'Spice' },
    'Cinnamon'          => { 'tp' => 'Spice' },
    'Curry'             => { 'tp' => 'Spice' },
    'Garlic'            => { 'tp' => 'Spice' },
    'Mint'              => { 'tp' => 'Spice' },
    'Redpepper'         => { 'tp' => 'Spice' },

    'Apple'             => { 'tp' => 'Fruits' },
    'Banana'            => { 'tp' => 'Fruits' },
    'Blackberry'        => { 'tp' => 'Fruits' },
    'Blueberry'         => { 'tp' => 'Fruits' },
    'Cassis'            => { 'tp' => 'Fruits' },
    'Cherry'            => { 'tp' => 'Fruits' },
    'Grape'             => { 'tp' => 'Fruits' },
    'Raspberry'         => { 'tp' => 'Fruits' },
    'Orange'            => { 'tp' => 'Fruits' },
    'Pineapple'         => { 'tp' => 'Fruits' },
    'Strawberry'        => { 'tp' => 'Fruits' },

    'Beans'             => { 'tp' => 'Vegetable' },
    'Cabbage'           => { 'tp' => 'Vegetable' },
    'Carrot'            => { 'tp' => 'Vegetable' },
    'Corn'              => { 'tp' => 'Vegetable' },
    'Cucumber'          => { 'tp' => 'Vegetable' },
    'Greenpepper'       => { 'tp' => 'Vegetable' },
    'Lemon'             => { 'tp' => 'Vegetable' },
    'Lettuce'           => { 'tp' => 'Vegetable' },
    'Mushroom'          => { 'tp' => 'Vegetable' },
    'Onion'             => { 'tp' => 'Vegetable' },
    'Potato'            => { 'tp' => 'Vegetable' },
    'Spinach'           => { 'tp' => 'Vegetable' },
    'Tomato'            => { 'tp' => 'Vegetable' },

    'Fi'                => { 'lf' =>  2 },
    'Fv'                => { 'hl' =>  2 },
    'Ck'                => { 'hy' =>  2 },
    'Ba'                => { 'hl' => -3, 'hy' =>  6 },

    'Spice'             => { 'bp' =>   5, 'hl' =>  1, 'hy' =>  3, 'wt' => 0.1 },
    'Fruits'            => { 'bp' =>   5, 'hl' =>  3, 'hy' =>  1, 'wt' => 0.1 },
    'Vegetable'         => { 'bp' =>   5, 'hl' =>  4, 'wt' => 0.1 },

    'Sardine'           => { 'bp' =>  12, 'lf' =>  8, 'hl' =>  1, 'hy' =>  1, 'wt' => 0.1 },
    'Trout'             => { 'bp' =>  18, 'lf' => 10, 'hl' =>  2, 'hy' =>  2, 'wt' => 0.1 },

    'Egg'               => { 'bp' =>   5, 'lf' =>  4, 'wt' => 0.1 },
    'Chicken'           => { 'bp' =>  15, 'lf' =>  9, 'hl' =>  1, 'hy' =>  2, 'wt' => 0.1 },
    'Mutton'            => { 'bp' =>  18, 'lf' => 10, 'hl' =>  1, 'hy' =>  3, 'wt' => 0.1 },
    'Pork'              => { 'bp' =>  20, 'lf' => 12, 'hy' =>  4, 'wt' => 0.1 },
    'Beef'              => { 'bp' =>  25, 'lf' => 15, 'hy' =>  5, 'wt' => 0.1 },

    'Milk'              => { 'bp' =>   4, 'lf' =>  2, 'hl' =>  2, 'wt' => 0.1 },
    'Butter'            => { 'bp' =>   5, 'lf' =>  4, 'wt' => 0.1 },
    'Yogurt'            => { 'bp' =>   6, 'lf' =>  2, 'hl' =>  3, 'wt' => 0.1 },
    'Cheese'            => { 'bp' =>   7, 'lf' =>  3, 'hl' =>  3, 'wt' => 0.1 },

    'Wheat'             => { 'bp' =>   5, 'wt' => 0.1 },
    'Flour'             => { 'bp' =>   5, 'lf' =>  4, 'wt' => 0.1 },
    'Bread'             => { 'bp' =>   7, 'lf' =>  7, 'hy' =>  1, 'wt' => 0.1 },
    'Breadcrumbs'       => { 'bp' =>   3, 'lf' =>  3 },
    'Piecrust'          => { 'bp' =>  10, 'lf' => 10, 'wt' => 0.1 },

    'Yeast'             => { 'bp' =>   2, 'lf' =>  1, 'hy' =>  1 },
    'Oil'               => { 'bp' =>   5, 'lf' =>  4, 'hl' => -1, 'hy' =>  1 },
    'Vinegar'           => { 'bp' =>   5, 'hl' =>  4 },
    'Salt'              => { 'bp' =>   1, 'hy' =>  1 },

    'Sugar'             => { 'bp' =>   2, 'lf' =>  2, 'hl' => -1, 'hy' =>  1 },
    'Honey'             => { 'bp' =>   5, 'lf' =>  2, 'hl' =>  2, 'wt' => 0.1 },
    'Saltandpepper'     => { 'bp' =>   2, 'hy' =>  2 },
    'Spiceblend'        => { 'bp' =>   5, 'hl' =>  1, 'hy' =>  3 },
    'Tomatosauce'       => { 'bp' =>   2, 'hl' =>  1, 'hy' =>  1 },
    'Onionsauce'        => { 'bp' =>   2, 'hl' =>  1, 'hy' =>  1 },
    'Saladdressing'     => { 'bp' =>  10, 'lf' =>  2, 'hl' =>  1, 'hy' =>  5 },
    'Cacao'             => { 'bp' =>   5, 'lf' =>  3, 'hl' =>  1, 'wt' => 0.1 },
    'Coffeebeans'       => { 'bp' =>   5, 'lf' =>  1, 'hl' =>  1, 'hy' =>  2 },
    'Tealeaf'           => { 'bp' =>   5, 'hl' =>  2, 'hy' =>  2 },
);

# --------------------------------------------------- #
1;
