# --------------------------------------------------- #
# Script of Saga III Place.cgi Version 5 (2.2)
# Copyright (C) 2005-2007 Missing Link.
# --------------------------------------------------- #

# Place Data #
# 'nm' => n             Name
# 'im' => C[W         Image
# 'lc' => ʒu             Location
# 'kg' =>            Kingdom
# 'tf' => Ɉړ\Ȓn Transfer
# 'lt' => qHi̊Cj     Line (Territorial Waters)
# 'lh' => qHiCj     Line (High Seas)
# 'la' => H             Line (Air Route)
# 'ev' => n̊         Environment
# 'it' => ACet@C Item File
# 'bm' => Ŏst@C     Black Market File
# 'dg' => _Wt@C Dungeon
# 'gl' => T擾     Gold
# 'pr' =>              PR
# 'nc' => ElX     No Craft Union

# 'ev'̕я => Mk,Bk,Ct,Hb,Fm,Fr,Rv,Mn,Dg,Pb,Gd,Ms,Dr

%PL = (
    'qui' => { 'nm' => 'LA',
               'im' => 'place01.gif',
               'lc' => '370,325',
               'kg' => 'ven',
               'tf' => 'fir,lyn,ven,uls,cov',
               'ev' => 'Mk,Bk,Ct,Fr,Pb,Gd',
               'bm' => 'blackmarket_qui.cgi',
               'gl' => '1D6+5',
               'pr' => 'SN̗jւ郔@^eB̉sBߔN̈ږ󂯓ĂAl͑̈rHĂB' },
    'fir' => { 'nm' => 'tBEhDEkC',
               'im' => 'place02.gif',
               'lc' => '423,263',
               'kg' => 'ven',
               'tf' => 'qui,ven,gho',
               'lt' => 'lyn',
               'lh' => 'ein,bat,thi',
               'ev' => 'Mk,Bk,Hb,Fm,Dg,Pb,Gd',
               'bm' => 'blackmarket_fir.cgi',
               'dg' => 'dungeon_fir.cgi',
               'gl' => '1D6+5',
               'pr' => '@^fB̖fՍ`B̒ƂĂmĂAɍŐ[̗s𐶂ݏoĂB' },
    'uls' => { 'nm' => 'EV',
               'im' => 'place03.gif',
               'lc' => '465,315',
               'kg' => 'ven',
               'tf' => 'qui,lyn,ven',
               'ev' => 'Mk,Fm,Fr,Rv,Mn,Gd',
               'gl' => '1D6+3',
               'pr' => 'YBƔ_Ƃ̑BEV̎YnƂėLłB' },
    'lyn' => { 'nm' => '',
               'im' => 'place04.gif',
               'lc' => '426,384',
               'kg' => 'ven',
               'tf' => 'qui,uls',
               'lt' => 'fir',
               'lh' => 'ein,bat',
               'ev' => 'Mk,Hb,Pb,Gd',
               'se' => 'sea_fish_all.cgi',
               'gl' => '1D6+3',
               'pr' => '@^fBœ[ɈʒuyBẲgȋCƔl͑̊όq𖣗ĂB' },
    'ven' => { 'nm' => '@^fBn',
               'im' => 'place05.gif',
               'lc' => '430,310',
               'kg' => 'ven',
               'tf' => 'qui,fir,uls',
               'ev' => 'Ms',
               'it' => 'monster_ven.cgi',
               'gl' => '2D6+15',
               'pr' => '̉ł郔@^fBR𒸂ƂkɘAȂ鍂nсB' },
    'cov' => { 'nm' => 'R@eBJ',
               'im' => 'place06.gif',
               'lc' => '310,348',
               'kg' => 'ven',
               'tf' => 'qui',
               'ev' => 'Ms',
               'it' => 'monster_cov.cgi',
               'gl' => '2D6+5',
               'pr' => 'ZzグƂĂ̈ՁBxdȂ铐@ɂAߔNՕی삪΂ĂB' },
    'gho' => { 'nm' => 'X',
               'im' => 'place07.gif',
               'lc' => '472,232',
               'kg' => 'ven',
               'tf' => 'fir',
               'ev' => 'Ms',
               'it' => 'monster_gho.cgi',
               'gl' => '2D6+8',
               'pr' => 'Ă͉Ԃ̒搂ꂽCOEBA⎀삪pjpЂƉĂB' },
    'ein' => { 'nm' => 'ACZQ',
               'im' => 'place08.gif',
               'lc' => '415,181',
               'kg' => 'lez',
               'lt' => 'bat,thi',
               'lh' => 'fir,lyn',
               'ev' => 'Mk,Hb,Pb,Gd',
               'nc' => 1,
               'gl' => '1D6+3',
               'pr' => 'tFUCɈʒuMт̓X̑́Bk̃kNCÃopAQő̃EBS̎OȂB' },
    'pir' => { 'nm' => 'C̓',
               'im' => 'place09.gif',
               'lc' => '248,376',
               'kg' => 'tro',
               'lh' => 'fir,lyn',
               'ev' => 'Hb,Pb,Gd',
               'gl' => '1D6+3',
               'pr' => '̊CBZƂĂ铇B' },
    'mil' => { 'nm' => '~F',
               'im' => 'place10.gif',
               'lc' => '367,76',
               'kg' => 'lez',
               'tf' => 'bat,thi,tow,dha',
               'ev' => 'Mk,Bk,Ct,Rv,Mn,Pb,Gd',
               'bm' => 'blackmarket_mil.cgi',
               'gl' => '1D6+5',
               'pr' => '[Rmc̎sBlSȏǂň͂܂ꂽǓssBÂ̋Rm_d񂶂B' },
    'bat' => { 'nm' => 'oXC',
               'im' => 'place11.gif',
               'lc' => '442,107',
               'kg' => 'lez',
               'tf' => 'mil,tow',
               'lt' => 'thi,ein',
               'lh' => 'fir,lyn',
               'ev' => 'Mk,Bk,Hb,Fr,Pb,Gd',
               'bm' => 'blackmarket_bat.cgi',
               'se' => 'sea_fish_all.cgi',
               'gl' => '1D6+5',
               'pr' => '[Rmc̓Ɉʒu`BCmfՂɐłB' },
    'tow' => { 'nm' => 'Í̓',
               'im' => 'place12.gif',
               'lc' => '407,103',
               'kg' => 'lez',
               'tf' => 'mil,bat',
               'ev' => 'Ms',
               'it' => 'monster_tow.cgi',
               'gl' => '2D6+8',
               'pr' => 'ŘH̉ʂĂɂтBł̌ZނƌĂB' },
    'thi' => { 'nm' => 'eBeBeB[',
               'im' => 'place14.gif',
               'lc' => '313,35',
               'kg' => 'lez',
               'tf' => 'mil,dha,isl',
               'lt' => 'bat,ein',
               'lh' => 'fir',
               'ev' => 'Mk,Bk,Hb,Fm,Fr,Pb,Gd',
               'bm' => 'blackmarket_thi.cgi',
               'se' => 'sea_fish_all.cgi',
               'gl' => '1D6+5',
               'pr' => 'zIȐXLeBeBeB[͌|p̓sƂĒmĂB' },
    'isl' => { 'nm' => 'CT̓',
               'im' => 'place16.gif',
               'lc' => '347,10',
               'kg' => 'lez',
               'tf' => 'thi',
               'ev' => 'Ms',
               'it' => 'monster_isl.cgi',
               'gl' => '2D6+8',
               'pr' => 'eBeBeB[̖kɂ鏬ȓBCT̎YnƂėLł邪AߔNCT\lP悤ɂȂB' },
    'dha' => { 'nm' => '_[^Ð',
               'im' => 'place17.gif',
               'lc' => '380,32',
               'kg' => 'lez',
               'tf' => 'mil,thi',
               'ev' => 'Ms',
               'it' => 'monster_dha.cgi',
               'gl' => '2D6+8',
               'pr' => '_[^͌×헪̗vՂł߁AghA鍑Ƃ̐̑펞ɂĂŏI̒nƂȂꏊłB' },
);

# Spot Data #
# 'md' => [h           Mode
# 'nm' => X|bg       Name
# 'sk' => KvXL       Skill

# X|bgł͖
# Gd = K[hi퓬łȂj
# Ms = X^[iX^[ƃGJEgj
# Dr = hSihSƃGJEgj

%SP = (
    'Mk' => { 'md' => 'market',
              'nm' => 's'},
    'Bk' => { 'md' => 'bank_before',
              'nm' => 's'},
    'Hb' => { 'md' => 'harbor',
              'nm' => '`'},
    'Fm' => { 'md' => 'farm_before',
              'nm' => '_'},
    'Rv' => { 'md' => 'river',
              'nm' => ''},
    'Fr' => { 'md' => 'forest',
              'nm' => 'X'},
    'Mn' => { 'md' => 'mine_before',
              'sk' => 'Mn',
              'nm' => 'zR'},
    'Pb' => { 'md' => 'bath_before',
              'nm' => 'O'},
    'Cl' => { 'md' => 'arena_before',
              'nm' => 'Z'},
    'Au' => { 'md' => 'auction_before',
              'nm' => 'I[NV'},
    'Th' => { 'md' => 'theater_before',
              'nm' => ''},
    'Ct' => { 'md' => 'castle_before',
              'nm' => ''},
    'Dg' => { 'md' => 'dungeon_before',
              'nm' => '_W'},
    'Gd' => { 'nm' => 'K[h'},
    'Ms' => { 'nm' => 'X^['},
    'Dr' => { 'nm' => 'hS'},
    'Bm' => { 'md' => 'blackmarket_before',
              'nm' => 'Ŏs'},
);

# Solitary Island #
# tO #

%SI = (
    'ein' => 1,
    'pir' => 1,
);

# --------------------------------------------------- #
1;
