# --------------------------------------------------- #
# Script of Saga III Dairy Product.cgi Version 4 (2.0)
# Copyright (C) 2005-2007 Missing Link.
# --------------------------------------------------- #

# Dairy Product Data /if[^/ #
@FI = (
        { id => { Milk => 1, Salt => 1 },
          cl => { Fi => 1 },
          gf => 'tc=1',
          gv => 'lf=1,vt=2',
          ex => 10,
          rl => 68,
          dt => { nm => 'o^[',
                  cl => 'Mt',
                  id => 'Butter',
                  im => 'butter.gif' } },
        { id => { Milk => 1, Lactobacillus => 1, Salt => 1 },
          cl => { Fi => 1 },
          gf => 'tc=2',
          gv => 'lf=2,vt=2',
          ex => 20,
          rl => 66,
          dt => { nm => '`[Y',
                  cl => 'Fd',
                  id => 'Cheese',
                  im => 'cheese.gif' } },
        { id => { Milk => 1, Lactobacillus => 1 },
          gf => 'tc=3',
          gv => 'lf=3,vt=2',
          ex => 30,
          rl => 64,
          dt => { nm => '[Og',
                  cl => 'Fd',
                  id => 'Yogurt',
                  im => 'yogurt.gif' } },
        { id => { Cacao => 1, Sugar => 1, Butter => 1 },
          cl => { Fi => 1 },
          gf => 'tc=4',
          gv => 'lf=3,vt=2',
          ex => 40,
          rl => 62,
          dt => { nm => '`R[g',
                  cl => 'Fd',
                  id => 'Chocolate',
                  im => 'chocolate.gif' } },
        { id => { Chocolate => 1, Milk => 1 },
          cl => { Fi => 1 },
          gf => 'tc=5',
          gv => 'vt=2',
          ex => 10,
          rl => 68,
          dt => { nm => 'zCg`R',
                  cl => 'Fd',
                  id => 'Whitechocolate',
                  im => 'whitechocolate.gif' } },
        { id => { Egg => 1, Milk => 1, Sugar => 1 },
          cl => { Fi => 1 },
          gf => 'tc=6',
          gv => 'lf=3,vt=2',
          ex => 60,
          rl => 58,
          dt => { nm => 'v',
                  cl => 'Fd',
                  id => 'Pudding',
                  im => 'pudding.gif' } },
        { id => { Egg => 1, Milk => 2, Sugar => 1 },
          cl => { Fi => 1 },
          gf => 'tc=7',
          gv => 'lf=3,vt=2',
          ex => 70,
          rl => 56,
          dt => { nm => 'ACXN[',
                  cl => 'Fd',
                  id => 'Icecream',
                  im => 'icecream.gif' } },
);

# --------------------------------------------------- #
1;
