# --------------------------------------------------- #
# Script of Saga III Aboard.cgi Version 2 (2.0)
# Copyright (C) 2005-2007 Missing Link.
# --------------------------------------------------- #

# Sub Aboard Before #
sub aboard_before {
my ($V,@L);
my  $t1;
my  $checked;

    require "$set::lib_dir/date.cgi";
    require "$set::lib_dir/sailing.cgi";

    $I = &get_user('I');

    &dead_check($I,'CLOSE');

    &get_place($I);

    &spot_check($I,'Hb');

    @L = (&get_oceanliner($I),&get_departure);

    foreach $V (@L) {
        &check_oceanliner($I,$V->[0]) || &get_ship($I,$V->[0],'checked');
        $I->{Si}{dt} = &departure_time($I->{Si}{dt});
        next if $I->{Si}{nw} ne $I->{pl};
        $t1 .= qq|<tr>|;
        $t1 .= qq|<td rowspan=2 align=center><img src=$set::iim_dir/$I->{Si}{im}><br><input type=radio name=ud class=radio value="$V->[0]"$I->{Si}{Go}></td>|;
        $I->{Si}{nm} .= $I->{Si}{nm} ? '' : $I->{Si}{tp};
        $t1 .= qq|<td colspan=4>$I->{Si}{nm}</td>|;
        $t1 .= qq|</tr>\n|;
        $t1 .= qq|<tr>|;
        $t1 .= qq|<td>$PL{$I->{Si}{go}}{nm}</td>|;
        $t1 .= qq|<td align=right>$I->{Si}{dt}</td>|;
        $t1 .= qq|<td align=right>$I->{Si}{sp} $set::mny</td>|;
        $t1 .= qq|<td align=right>$I->{Si}{pg}/$I->{Si}{ct}</td>|;
        $t1 .= qq|</tr>\n|;
    }

    &get_code;

    $checked = ' checked' if !$I->{ab};

    &header(CSS=>'sub');
    print <<"    END_OF_HTML";
    <form method=post action=$set::cgi_url>
    <div class=label>D\\</div>
    <div class=outbox>
    <img src=$set::mim_dir/envHb.gif><br>
    <br>
    <input type=radio name=ud class=radio value="0"$checked> \\LZ<br>
    <table class=outbox border=1>
    <tr><th>&nbsp;</th><th>s</th><th>oq</th><th>D</th><th></th></tr>
    $t1
    </table>
    <br>
    <div class=r>$set::but{OK}</div>
    <input type=hidden name=md value="aboard_after">
    <input type=hidden name=id value="$F{id}">
    <input type=hidden name=ps value="$F{ps}">
    <input type=hidden name=xx value="$I->{XX}">
    </div>
    </form>
    END_OF_HTML
    &back_close('harbor');
    &footer;
}

# Sub Aboard After #
sub aboard_after {
my ($V,$X,$L,$N);

    require "$set::lib_dir/navigation.cgi";
    require "$set::lib_dir/sailing.cgi";

    $I = &get_user('I');

    &lock(navigation_lock);

    $V = $F{ud} ? $F{ud}:
         $I->{ab} ? $I->{ab}: 0;

    &say('\񂵂Ă܂B','aboard_before') if !$V;
    &say('̑DɏqƂď邱Ƃ͂ł܂B','aboard_before') if $F{ud} eq $I->{id};

    # ̑DɍqCݒĂ邩`FbN #
    if (($I->{Sk}{Sm} || $I->{Sk}{Sn}) && &get_ship($I,$I->{id})) {
        &say('l̑DɏDɂ͎̑D̍qCݒKv܂B','aboard_before') if $I->{Si}{go};
    }

    &get_oceanliner($I);

    if (!&check_oceanliner($I,$V)) { &get_ship($I,$V); $N = "\n" }

    &say('Dɏx܂B','aboard_before') if !$I->{Si}{go};

    @{$I->{Si}{Pg}} = grep { $_ ne "$I->{id}$N" } @{$I->{Si}{Pg}};
    $I->{Si}{pg} = @{$I->{Si}{Pg}};

    &say('ɗ\񂪂ςłB','aboard_before') if $I->{Si}{pg} >= $I->{Si}{ct};

    if ($F{ud}) {
        &say("܂",'aboard_before') if $I->{gl} < $I->{Si}{sp};
        &say("x\\LZĉB",'aboard_before') if $I->{ab};
        $I->{ab} = $F{ud};
        push(@{$I->{Si}{Pg}},"$I->{id}$N");
    }
    else {
        $F{ud} = $I->{ab};
        $I->{ab} = '';
    }

    &set_code;

    &set_oceanliner($I,$V) || &set_ship($I,$V);

    &unlock(navigation_lock);

    &set_user($I);

    &say('ݒ芮','aboard_before');
}

# Sub Check Ocean Liner #
sub check_oceanliner {
my  $S = shift;
my  $V = shift;

    if ($V =~ /^[a-z]{3}_[a-z]{3}$/) {
        $S->{Si} = $S->{Ol}{$V};
        return 1;
    }
    return 0;
}

# Sub Get Ocean Liner #
sub get_oceanliner {
my  $S = shift;
my  ($L,%L,$K,$V);

    require "$set::dat_dir/oceanliner_ship.cgi";

    %{$S->{Pg}} = map { $_->[0] => $_->[1] }
                  map { [split(/<>/)] } &open_dat("$set::dat_dir/oceanliner_passenger.cgi");

    $S->{Ol} = {%OL};
    foreach $K (keys %OL) {
        $V = $S->{Ol}{$K};
        ($V->{nw},$V->{go}) = split(/_/,$K);
        $V->{pg} = @{$V->{Pg}} = split(/,/,$S->{Pg}{$K});
        $V->{Go} = ' checked' if $S->{ab} eq $K;
        push(@$L,$K) if $V->{nw} eq $S->{pl};
    }
    return $L;
}

# Sub Set Ocean Liner #
sub set_oceanliner {
my  $S = shift;
my  $V = shift;
my  (@L,$K);

    return 0 if $V !~ /^[a-z]{3}_[a-z]{3}$/;

    $S->{Pg}{$V} = join(',',@{$S->{Si}{Pg}});

    while (($K,$V) = each %{$S->{Pg}}) {
        push(@L,join('<>',$K,$V,"\n")) if $V;
    }

    &write_dat("$set::dat_dir/oceanliner_passenger.cgi",@L);
    return 1;
}

# --------------------------------------------------- #
1;
