# --------------------------------------------------- #
# Script of Saga III Base.cgi Version 8 (2.2)
# Copyright (C) 2005-2007 Missing Link.
# --------------------------------------------------- #

# Sub Header #
sub header {
# Method: CSS=>filename,JavaScript=>[filename1,filename2],Body=>' tag',GetTag=> true or false,Say => true or false
my  %V = @_;
my  $t1;

    &track_player($I->{M}) if !$V{Say};

    $t1  = qq|Content-type: text/html\n\n| if !$V{GetTag};
    $t1 .= qq|<!--nobanner-->\n| if $F{md};
    $t1 .= qq|<html>\n|;
    $t1 .= qq|<head>\n|;
    $t1 .= qq|<meta http-equiv="Content-Type" content="text/html; charset=Shift_JIS">\n|;
    $t1 .= qq|<title>$set::tit</title>\n|;
    $t1 .= qq|<link rel="stylesheet" href="sos3.css" type="text/css">\n|;
    $t1 .= qq|<link rel="stylesheet" href="$V{CSS}.css" type="text/css">\n|;
    foreach (split(/,/,$V{JavaScript})) {
        $t1 .= qq|<script language="JavaScript" src="$set::jav_dir/$_.js"></script>\n|;
    }
    $t1 .= qq|</head>\n|;
    $t1 .= qq|<body$V{Body}>\n|;
    $headflag = 1;
    if ($V{GetTag}) {
        require "$set::lib_dir/date.cgi";
        $t1 .= qq|<div align=right><tt>Update:|;
        $t1 .= &get_date(0);
        $t1 .= qq|</tt></div>|;
        return $t1;
    }
    else {
        print $t1;
    }
}

# Sub Footer #
sub footer {
# Method: GetTag=> true or false
my  %V = @_;
my  $t1;

    $t1  = qq|</body>\n|;
    $t1 .= qq|</html>\n|;
    if ($V{GetTag}) { return $t1 }
    else { print $t1 }
}

# Sub Transfer to HTML
sub transfer_HTML {
my  $V = shift;

    print qq|Content-type: text/html\n\n|;
    print qq|<script language="JavaScript">\n|;
    print qq|    parent.location.href = "$V";\n|;
    print qq|</script>\n|;
    exit;
}

# Sub Get All Users ID #
sub get_allusersID {
my  $F = shift;
my  @L;

    $F = $F ? $set::npc_dir : $set::Udt_dir;

    opendir(DIR,$F) || &error("get_allusersID Error! Type:$F");
    @L = grep s/\.cgi//i,readdir(DIR);
    closedir(DIR);
    return @L;
}

# Sub Get User #
sub get_user {
my  $W = shift; # value = 'I' or 'U' or 'A'
my  $T = shift; # id = undef or id
my  $F = shift; # flag = 'in' or 'unlocked'
my ($L,@L,$S,%SK,$dir,$id);

    $id = $T ? $T:
          $W eq 'I' ? $F{id}:
          $W eq 'U' ? $F{ud}: '';

    &error('userdata:ID Error') if $id eq '';
    $dir = index($id,'_') ? $set::Udt_dir
                          : $set::npc_dir;

    unless (-e "$dir") { &error("[U[fBNg݂܂") }
    unless (-e "$dir/$id.cgi") {
        return 0 if $T;
        &error("sIDłF$id");
    }

    &lock($id) if $F ne 'unlocked';

    ($L) = &open_dat("$dir/$id.cgi");

    chomp $L;

    if (!$L) { &error("sIDłF$id") }

    @L = split(/<>/,$L);

    foreach (0 .. $#set::udt) {
        $S->{$set::udt[$_]} = $L[$_];
    }

    &error("f[^jĂ܂F$id") if !$S->{id};

    return $S if $W eq 'A';

    map { $S->{Cd}{$_} = $set::cnd{$_}[1] } split(/,/,$S->{cd});
    map { $S->{Tl}{$_->[0]} = $_->[1] }
    map { [split /:/] } split(/,/,$S->{tl});

    $S->{Da} = $set::cnd{$S->{da}}[1];
    $S->{Ij} = $set::cnd{$S->{ij}}[1];

    &password_check($S) if $W eq 'I';

    &say('OCĉ','') if $W eq 'I' && !$F && $S->{li} eq 'out';

    map { $S->{Sk}{$_} = 1 } split(/,/,$S->{sk});

    foreach (@set::sdt,@set::gva) {
        ($S->{$_},$S->{"M$_"}) = split(/\//,$S->{$_},2);
    }

    $S;
}

# Set User #
sub set_user {
my  $S = shift;
my (@L,$K,$V);

    if (!$S->{id}) { &error("IDĂ܂") }

    while (($K,$V) = each %{$S->{Tl}}) {
        push(@L,"$K:$V") if $V;
    }
    $S->{tl} = join(',',@L);

    undef @L;

    while (($K,$V) = each %{$S->{Cd}}) {
        next if $K eq 'in';
        push(@L,$K) if $V;
    }
    $S->{cd} = join(',',@L);

    undef @L;

    $V = index($S->{id},'_') ? $set::Udt_dir
                             : $set::npc_dir;

    # ۂߌ덷ɑΉ
    $S->{bg} = abs sprintf "%.2f",$S->{bg} if $S->{bg} =~ /\.\d\d\d/;

    foreach (@set::sdt,@set::gva) {
        $S->{$_} = join('/',$S->{$_},$S->{"M$_"});
    }

    foreach (0 .. $#set::udt) {
        $L[$_] = $S->{$set::udt[$_]};
    }

    &write_dat("$V/$S->{id}.cgi",join('<>',@L));

    &unlock($S->{id});
}

# Sub Change Status #
sub change_status {
my  $S = shift;
my  $T = shift; # Xe[^X
my  $V = shift; # l
my  $F = shift; # true -> bZ[W\
my  $X = shift; # Maxlɂꍇ
my ($Y,$Z);

    $V -= 1 if $T eq 'vt' && $S->{Cd}{En} && $V < 0;

    $S->{$T} += $V;
    $Y = $T eq 'hl' ? 'Mn':
         $T eq 'ap' ? 'Dt':
         $T eq 'hy' ? 'En':
                        '';

    if ($S->{$T} <= 0) {
        $S->{$T} = 0;
        if ($Y && !$S->{Cd}{$Y}) {
            &change_condition($S,'cd',$Y,1);
            $Z = "$set::cnd{$Y}[1]ɂȂ܂B";
        }
    }
    elsif ($S->{"M$T"} && $S->{$T} >= $S->{"M$T"} && !$X) {
        $S->{$T} = $S->{"M$T"};
#        if ($Y && $S->{Cd}{$Y}) {
#            &change_condition($S,'cd',$Y);
#            $Z = "$set::cnd{$Y}[1]܂B";
#        }
    }
    elsif ($X && $S->{$T} > $X) {
        $S->{$T} = $X;
    }

    return if !$F;

    if ($V > 0) {
        &M("<span class=up>$set::lab{$T}<span class=alert>$V</span>㏸</span>");
    }
    else {
        $V = abs($V);
        &M("<span class=down>$set::lab{$T}<span class=alert>$V</span></span>");
    }

    &M("<img src=$set::mim_dir/redcross.gif> <span class=sick>$Z</span>") if $Z;
}

# Sub Change Condition #
sub change_condition {
my  $S = shift;
my  $T = shift; # da,ij,cd
my  $V = shift; # ԗ
my  $F = shift; # true -> ǉ, false -> 폜

    if ($F) {
        if ($T eq 'cd') {
            $S->{Cd}{$V} = $set::cnd{$V}[1] if $V;
        }
        else {
            $S->{$T} = $V;
        }
    }
    else {
        if ($T eq 'cd') {
            undef $S->{Cd}{$V} if $V;
            undef $S->{Tl}{$V} if $V;
        }
        elsif ($T eq 'ij') {
            undef $S->{ij};
        }
        else {
            $S->{da} = 'Av';
            $S->{Da} = $set::cnd{$S->{da}}[1];
            $S->{lf} = 1;
        	&reload_gage('lf','V');
        }
    }

    return if $S->{id} ne $F{id};

    &condition_initial($S,$T,1);
}

# Sub Condition_initial #
sub condition_initial {
my  $S = shift;
my  $T = shift; # da,ij,cd
my  $F = shift; # true -> reload
my (@L,$K,$V);

    if ($T eq 'da') {
        $S->{Da}{in} = $set::cnd{$S->{da}}[0];
        $V = $set::cnd{$S->{da}}[1];
    }
    elsif ($T eq 'ij') {
        $V = $S->{Ij}{in} = $set::cnd{$S->{ij}}[0];
        undef $S->{ij} if !$V;
    }
    else {
        delete $S->{Cd}{in};
        while (($K,$V) = each %{$S->{Cd}}) {
            push(@L,$set::cnd{$K}[0]) if $V;
        }
        @L = sort @L;
        $V = $S->{Cd}{in} = join('E',@L);
        undef $S->{cd} if !$V;
    }

    return if !$F;

	&reload_data($T,$V);
}

# Sub Get Equipment #
sub get_equipment {
my  $S = shift;
my  $E = shift;
my  @L;

    @L = split(/\//,$S->{$E});
    $E = ucfirst $E;
    $S->{$E}{nm} = $L[0]; # Name
    $S->{$E}{cl} = $L[1]; # Class
    $S->{$E}{ql} = $L[2]; # Quality
    map { $S->{$E}{ql}{$_} = 1 } split(/,/,$L[2]); # Quality
    $S->{$E}{ef} = $L[3]; # Effect
    $S->{$E}{db} = $L[4]; # Durability
    $S->{$E}{im} = $L[5]; # Image
    $S->{$E}{gd} = $L[6]; # Grade
    $S->{$E}{pl} = $L[7]; # Plus
    $S->{$E}{rk} = $L[8]; # Rank
    $S->{$E}{cr} = $L[9]; # Creator
    $S->{$E}{Im} = &item_image($S->{$E}); # Image with Tag
}

# Sub Set Equipment #
sub set_equipment {
my  $S = shift;
my  $Si = shift;
my  $e;

    $e = ref $Si ? $Si->{eq} : $Si;
    $Si = $S->{ucfirst $Si} if !ref $Si;
    $S->{$e} = join('/',@{$Si}{nm,cl,ql,ef,db,im,gd,pl,rk,cr});
}

# Sub Broken Item #
sub broken_item {
my  $S = shift;
my  $Si = shift;
my  $F = shift; # Message Flag
my ($e,$E,$M);

    $M = $S->{id} eq $I->{id} ? 1 : 0;

    if ($F) {
        &M("$Si->{nm}j܂B")   if $F == 1 ||  $Si->{Ql}{Rp};
        &M("$Si->{nm}g؂܂B") if $F == 2 && !$Si->{Ql}{Rp};
    }

    $e = $Si->{eq};
    $E = ucfirst $e;

    if ($Si->{Ql}{Rp}) {
        &M("$Si->{nm}͏CKvłB") if $F;
        $Si->{ql} .= ',Br';
        $Si->{eq} = '';
        $Si->{db} = 0;
    }
    else {
        &change_status($S,'bg',-$Si->{wt});
        $Si->{qn} = 0;
    }
    return 1 if !$e;
    $S->{$e} = '';
    undef %{$S->{$E}};
    &reload_data($e) if $M;
    return 1;
}

# Sub Used Item #
sub used_item {
my  $Si = shift;
my  $K = shift;

        $K ||= 'bp';
        return if !$Si->{Mdb};
        return if $Si->{Ql}{Vs};
        $Si->{$K} = int($Si->{bp} * $Si->{db} / $Si->{Mdb});
}

# Sub Get Durability #
sub get_durability {
my  $S = shift;
my  $E = shift;

    return (split(/\//,$S->{$E}))[4]; # Durability
}

# Sub Get Effect #
sub get_effect {
my  $Si = shift;
my  $T = shift;

    $Si->{Ef} .= $Si->{cl} eq 'Wn' ? " $Si->{ef}{":
                 $Si->{cl} eq 'Sh' ? " $Si->{ef}":
                 $Si->{cl} eq 'Hl' ? " $Si->{ef}":
                 $Si->{cl} eq 'Ar' ? " $Si->{ef}":
                 $Si->{cl} eq 'Fr' ? " $Si->{ef}":
                 $Si->{cl} eq 'Ht' ? " $Si->{ef}":
                 $Si->{cl} eq 'Dr' ? " $set::lab{ap} +$Si->{ef}":
                 $Si->{cl} eq 'Rg' ? " $Si->{ef}":
                 $Si->{cl} eq 'Ac' ? " $Si->{ef}":
                 $Si->{ef} ? " $Si->{ef}" : '';
    $Si->{Ef}  = "<span class=effect>$Si->{Ef}</span>" if !$T;
    $Si->{Ef}  = "+$Si->{pl}" . $Si->{Ef} if $Si->{pl};
}

# Sub Get Companion #
sub get_companion {
my  $S = shift;
my  @L;

    @L = split(/\//,$S->{co});
    $S->{Co}{nm} = $L[0]; # Name
    $S->{Co}{cl} = $L[1]; # Class
    $S->{Co}{tp} = $L[2]; # Type
    $S->{Co}{im} = $L[3]; # Image
}

# Sub Get Place #
sub get_place {
my  $S = shift;

    require "$set::dat_dir/place.cgi";
    $S->{Pl} = \%{$PL{$S->{pl}}};
    $S->{Sp} = \%SP;
    map { $S->{Pl}{ev}{$_} = $SP{$_}{nm} } split(/,/,$S->{Pl}{ev});
    $S->{Pl}{tf} = [split(/,/,$S->{Pl}{tf})];
}

# Sub Get Kingdom #
sub get_kingdom {
my  $S = shift;
my  $V;

    require "$set::dat_dir/kingdom.cgi";
    $V = $KG{$S->{Pl}{kg}};
    $S->{Kg}{nm} = $V->{nm};
    $S->{Kg}{cp} = $V->{cp};
}

# Sub Get Resident #
sub get_resident {
my  $S = shift;

    @{$S->{Pp}} = map { chomp $_; $_ } &open_dat("$set::plc_dir/$S->{pl}.cgi");
}

# Sub Get Bonus #
sub get_bonus {
my  $S = shift;
my  $V = shift;
my  $X = shift;

    $X ||= $set::spn;
    $S->{bonus} = $S->{Sk}{$V} ? 1 : $X;
}

# Sub Password Check #
sub password_check {
my  $S = shift;

    &error("IDF$S->{id}̓AJEg~ł") if $S->{ps} =~ /^$set::esc/;
    &get_crypt($F{ps},$S->{ps},$set::crp) || &error('pX[hsł');
}

# Sub Login Check #
sub login_check {
my  $S = shift;
my  $T = shift; # true -> return true, false -> error

    unless (index($S->{id},'_')) { return 0 }
    if ($S->{ps} =~ /^$set::esc/ && !$T) { &error("$S->{nm}̓AJEg~ł") }
    if ($S->{li} eq 'out')       { return 0 }
    if (time < $set::lgi + (stat("$set::Ucd_dir/$S->{id}.cgi"))[9]) {
        if ($T) { return 1 }
        &error("$S->{nm}͌݃OCł");
    }
    return 0;
}

# Sub Place Check #
sub place_check {
my  $S = shift;

    &error('݂̒nɂ܂') if $I->{pl} ne $S->{pl};
}

# Sub Spot Check #
sub spot_check {
my  $S = shift;
my  $V = shift;
my  $F = shift;

    &say("$S->{Pl}{nm}$S->{Sp}{$V}{nm}͂܂",'CLOSE') if !$S->{Pl}{ev}{$V};
}

# Sub Dead Check #
sub dead_check {
my  $S = shift;
my  $T = shift;

    return if $S->{da} ne 'Dd' && $S->{da} ne 'St';

    &partner('',"$S->{nm}$S->{Da}Ă܂") if $T eq 'partner';
    &say("$S->{nm}$S->{Da}Ă܂",$T);
}

# Sub Compulsory Check #
sub compulsory_check {
# Fi𑕔̂ɕKvȔ\͒l`FbN
my  $S = shift;
my  $Si = shift;
my  $M = shift;
my  ($K,$V);

    foreach (split(/,/,$Si->{cp})) {
        ($K,$V) = split(/=/);
        if (!$V && !$S->{Sk}{$K}) {
            &M("$Si->{nm}$Mɂ$SK{$K}̃XLKvłB") && return 0;
        }
        elsif ($K eq 'sx' && $S->{sx} ne $V) {
            &M("$Si->{nm}<img src=$set::mim_dir/$V.gif>płB") && return 0;
        }
        elsif ($S->{$K} < $V) {
            &M("$Si->{nm}$Mɂ$set::lab{$K} $V KvłB") && return 0;
        }
    }
    return 1;
}

# Sub Item Class Check #
sub item_class_check {
my  $Si = shift;

    return 'M' if $Si->{cl} =~ /(Fd|Mt|Ig|Pi|Wd|Lt|Ct|Gm|Op|Tp|Bc)/;
    return 'W' if $Si->{cl} =~ /(Sw|Ax|Sp|Kt|Bo|Cl|Wn|Xx)/;
    return 'P' if $Si->{cl} =~ /(Hm|Ar|Bt|Sh)/;
    return 'C' if $Si->{cl} =~ /(Ht|Ds)/;
    return 'J' if $Si->{cl} =~ /(Ac|Rg)/;
}

# Set Time Limit Check #
sub time_limit_check {
my  $S = shift;
my ($K,$V,$F);

    while (($K,$V) = each %{$S->{Tl}}) {
        next if $V > time;
        $S->{Cd}{$K} = 0;
        $S->{Tl}{$K} = 0;
        $F = 1;
    }

    &condition_initial($S,'cd',1) if $F;
}

# Sub Get Item #
sub get_item {
my  $S = shift;
my  $T = shift;
my  ($V,$i,$j,@L,@K);

    $V = $T == 1 ? "$set::bmk_dir/$I->{Pl}{bm}":
         $T == 2 ? "$set::Uop_dir/$S->{id}.cgi":
         $T == 3 ? "$set::Ubk_dir/$S->{id}.cgi":
                   "$set::Uit_dir/$S->{id}.cgi";

    @L = map { chomp $_; [split(/<>/)] } &open_dat($V);

    $V = \@set::idt;

    foreach $i (0 .. $#L) {
        foreach $j (0 .. $#$V) {
            $K[$i]{$V->[$j]} = $L[$i][$j];
        }
        map { $K[$i]{Ql}{$_} = 1 } split(/,/,$K[$i]{ql});
        if ($K[$i]{db}) {
            ($K[$i]{db},$K[$i]{Mdb}) = split(/\//,$K[$i]{db});
            $K[$i]{Mdb} ||= $K[$i]{db};
            $K[$i]{db} = &get_durability($S,$K[$i]{eq}) if $K[$i]{eq};
        }
    }

    $S->{Bs} = @K if $T == 0;
    $S->{Bk} = @K if $T == 3;

    $S->{Bg} = [@K];
}

# Sub Set Item #
sub set_item {
my  $S = shift;
my  $T = shift;
my  ($V,@L);

    $V = \@set::idt;

    foreach $i (0 .. $#{$S->{Bg}}) {
        next if !$S->{Bg}[$i]{qn};
        $S->{Bg}[$i]{db} = join ('/',$S->{Bg}[$i]{db},$S->{Bg}[$i]{Mdb}) if $S->{Bg}[$i]{Mdb};
        foreach $j (0 .. $#$V) {
            $L[$i][$j] = $S->{Bg}[$i]{$V->[$j]};
        }
    }

    @L = map { join('<>',@$_,"\n") } grep(@$_,@L);

    $V = $T == 1 ? "$set::bmk_dir/$I->{Pl}{bm}":
         $T == 2 ? "$set::Uop_dir/$S->{id}.cgi":
         $T == 3 ? "$set::Ubk_dir/$S->{id}.cgi":
                   "$set::Uit_dir/$S->{id}.cgi";

    &write_dat($V,@L);
}

# Sub Get Pet #
sub get_pet {
my  $S = shift;
my  ($V,$i,$j,@L,@K);

    $V = "$set::Upt_dir/$S->{id}.cgi";

    @L = map { chomp $_; [split(/<>/)] } &open_dat($V);

    $V = \@set::pdt;

    foreach $i (0 .. $#L) {
        foreach $j (0 .. $#$V) {
            $K[$i]{$V->[$j]} = $L[$i][$j];
        }
        map { $K[$i]{Ql}{$_} = 1 } split(/,/,$K[$i]{ql});
        $K[$i]{Nm} = $K[$i]{nn} ? $K[$i]{nn} : $K[$i]{nm};
    }

    $S->{Pt} = [@K] if @K;
}

# Sub Set Pet #
sub set_pet {
my  $S = shift;
my  ($V,@L);

    $V = \@set::pdt;

    foreach $i (0 .. $#{$S->{Pt}}) {
        next if !$S->{Pt}[$i]{id};
        foreach $j (0 .. $#$V) {
            $L[$i][$j] = $S->{Pt}[$i]{$V->[$j]};
        }
    }

    @L = map { join('<>',@$_,"\n") } grep(@$_,@L);

    &write_dat("$set::Upt_dir/$S->{id}.cgi",@L);
}

# Sub Get Words #
sub get_words {
my  $S = shift;
my  ($i,@WD);

    @WD = &open_dat("$set::Uwd_dir/$S->{id}.cgi");
    @WD = split(/<>/,$WD[0]);
    for (0..$#WD) {
        $i = $_ + 2;
        $S->{"w$i"} = $WD[$_];
    }
}

# Sub Talk Bubble #
sub talk_bubble {
my  $V = shift;
my  $T = shift;

    $V || return '';
    $V = qq|<span style="color:$T">$V</span>|;
    $set::twd || return "<p class=outbox>$V</p>\n";
    return "<div class=s1><div class=s5><div class=s3><div class=s2>$V</div></div><div class=s4></div></div></div>\n";
}

# Sub Decorate Item #
sub decorate_item {
my  $Si = shift;
my  $T = shift; # ΂甄 = 1, ܂Ƃߔ = 2
my  $F = shift; # Change the sales price indication method = 1
my ($V,$W,$X,$Y,$Z);

    $W = $Si->{Qn} ne '' ? $Si->{Qn} : $Si->{qn};
    $X = $I->{Ap} || 1;
    $Y = $Si->{Sp} || $Si->{sp};

    if ($F && $Y) {
        $T = 2 if !$set::mif{Xx};
        $F = $set::uop <=> $set::mif{Xx};
        $Y = int($Y / $W) if $F == -1;
        $Y *= $W if $F == 1;
    }

    $Z = $Si->{wt};
    $Z *= $W if $T != 1;
    $Z = $Si->{sl} || $Z || 0;

    $V = $Si->{Nm} || $Si->{nm};
    $V .= "FG$Si->{gd}" if $Si->{gd} > 1;
    $V .= "+$Si->{pl}" if $Si->{pl};
    $V = "<span class=equip>$V</span>" if $Si->{eq};
    $V = "<span class=i$Si->{gd}>$V</span>" if $Si->{gd};
    $V = "<span class=Ex>Ex</span>".$V          if $Si->{Ql}{Ex};
    $V = "<span class=broken>ꂽ</span>".$V  if $Si->{Ql}{Br};
    $V = "<span class=broken></span>".$V  if $Si->{hg} eq 0;
    $V = "<span class=reserve>\\񂳂ꂽ</span>".$V if $Si->{rs};
    $V .= " [$Si->{db}]" if $Si->{db};
    $V = &item_image($Si).$V;
    $V .= " <img src=$set::mim_dir/lock.gif>"   if $Si->{Ql}{Lk};
    $V .= " <img src=$set::mim_dir/secure.gif>" if $Si->{Ql}{Sc};
    $V .= " <img src=$set::mim_dir/attune.gif>" if $Si->{Ql}{At};
    $V .= " x $W" if $W > 1 && (!$Y || $T == 2);
    $V .= " = " . int($Y * $X) . " $set::mny" if $Y;
    $V .= "EEE݌ $W" if $Y && $W && $T != 2;
    $V .= " i$Z$set::wgtj" if $Z;
    $V .= "<br>\n";
}

# Sub Item Image #
sub item_image {
my  $Si = shift;
my  $t1;

    $t1 = qq| title="$Si->{cr}"| if $Si->{cr};
    $t1 = "<img src=$set::iim_dir/$Si->{im}$t1> ";
    return $t1 if $Si->{im};
    return undef;
}

# Sub Orb Image #
sub orb_image {
my  $V = shift;

    $V = lc $V;
    return "<img src=$set::mim_dir/orb_$V.gif> " if $V;
}

# Sub Sort Item #
sub sort_item {
my  $S = shift;

    require "$set::dat_dir/sort.cgi";

    @{$S->{Bg}} = sort { length($b->{eq}) <=> length($a->{eq}) || $SO{$a->{cl}} <=> $SO{$b->{cl}} || $a->{id} cmp $b->{id} || $b->{qn} <=> $a->{qn} } @{$S->{Bg}};
}

# Sub Sort Pet #
sub sort_pet {
my  $S = shift;

    @{$S->{Pt}} = sort { $b->{eq} cmp $a->{eq} || $a->{id} cmp $b->{id} || $a->{bt} <=> $b->{bt} } @{$S->{Pt}};
}

# Sub Set Orb #
sub set_orb {
my  $S = shift;

    @{$S->{Ob}} = sort { lc $a cmp lc $b || $a cmp $b } @{$S->{Ob}};
    $S->{ob} = join('',@{$S->{Ob}});
}

# Sub Roll Dice #
sub roll_dice {
my  $dice = shift;
my  $plus;
my  $roll;
my  $V;

#    srand(time|$$) if !$diceflag;
    return $' if $dice =~ s/^S//;
    ($dice,$plus) = split(/\+/,$dice);
    ($roll,$dice) = split(/D/,$dice);
    if (!$dice) {
        $dice = $roll;
        $roll = 1;
    }
    if ($dice < 2) { $V = 1 }
    else {
        while ($roll--) {
            $V += int(rand($dice)) + 1;
        }
    }
    $V += $plus;
    $V = 1 if $V < 1;
#    $diceflag = 1;
    return $V;
}

# Sub Reload Data #
sub reload_data {
my  $K = shift;
my  $V = shift;
my  $F = shift;

    $V ||= $I->{$K};
    $I->{RDt} .= ',' if $I->{RDt};
    $I->{RDt} .= "$K:$V";
    $I->{RDt} .= ":$F" if $F;
}

# Sub Reload Gage #
sub reload_gage {
my  $K = shift;
my  $T = shift; # V or F (Variable Status or Fixed Status)

    if (ref $K) { push(@{$I->{"R$T\g"}},@$K) }
    else  { push(@{$I->{"R$T\g"}},$K) }
}

# Sub Inner HTML #
sub inner_HTML {
# Method: 
#         Face => file,
#         Msg => "'id','message'"
my  %V = @_;
my ($V,@L,$L);
my  $t1;

    if ($set::cml && !$V{Msg} && (stat("$set::Uml_dir/$I->{id}.cgi"))[9] > $I->{mb}) {
        $V{Msg} = "'newmail','<img src=$set::mim_dir/mail.gif> V莆܂'";
    }
    $t1  = qq|<script language="JavaScript">\n|;
    $t1 .= qq|    Data("$I->{RDt}");\n|                    if $I->{RDt};
    $t1 .= qq|    Message(opener,$V{Msg});\n|              if $V{Msg};
    $t1 .= qq|    Image("I2","$set::mim_dir/$V{Face}");\n| if $V{Face};

    if ($I->{RCp}) {
        foreach (split(/,/,$I->{Pl}{ev})) {
            push(@L,$I->{Pl}{ev}{$_});
        }
        $L = join(',',@L);
        $t1 .= qq|    Image("I1","$set::mim_dir/$I->{Pl}{im}");\n|;
        $t1 .= qq|    Environment("$set::mim_dir/env","$I->{Pl}{ev}","$L");\n|;
        $t1 .= qq|    MapLocation("$I->{Pl}{lc}");\n|;
        $t1 .= qq|    PlayerListPlace("$I->{pl}");\n|;
        $t1 .= qq|    SpotOption("$I->{So}");\n|;
    }

    foreach (@{$I->{RVg}}) {
        $V = int($I->{$_});
        $t1 .= qq|    VariableGage("$set::mim_dir/gage","$_",$V,$I->{"M$_"});\n|;
    }
    foreach (@{$I->{RFg}}) {
        $t1 .= qq|    FixedGage("$set::mim_dir/gage","$_",$I->{$_});\n|;
    }

    $t1 .= qq|</script>\n|;
    $I->{inner_HTML} = $t1;
}

# Sub Open Dat #
sub open_dat {
my  $V = shift;
my  @L;

    open(IN,"$V") || &error("$fileǂݍ݃G[:$V݂͑Ȃp[~bVsł");
    @L = <IN>;
    close IN;
    return @L;
}

# Sub Write Dat #
sub write_dat {
my  $V = shift;

    open(OUT,">$V") || &error("$file݃G[:$V݂Ȃp[~bVsł");
    print OUT @_;
    close OUT;
}

# Sub Lock #
sub lock {
my  $V = shift;
my  $flag = 10;

    return if !$set::lky;
    &error('Reload Lock Error') if !$V;
    $lock::table{$V} = 1;
    $V = "$set::loc_dir/$V";
    if  ($set::lky == 1) {
        rmdir($V) if (time - (stat($V))[9] > 60);
        while (!mkdir($V,0755)) {
            --$flag or &error('݁At@CXVłB','lock');
            sleep(1);
        }
    }
    elsif ($set::lky == 2) {
        eval { symlink("",""); };
        if ($@) { &error('Symlink Lock Error') }
        unlink($V) if (time - (stat($V))[9] > 60);
        while (!symlink(".",$V)) {
            --$flag or &error('݁At@CXVłB','lock');
            sleep(1);
        }
    }
}

# Sub Unlock #
sub unlock {
my  $V = shift;
my  @L;

    return if !$V;

    @L = $V eq 'unlock' ? keys %lock::table : ($V);

    foreach (@L) {
        $V = "$set::loc_dir/$_";
        if    ($set::lky == 1) { rmdir($V)  }
        elsif ($set::lky == 2) { unlink($V) }
        delete $lock::table{$_};
    }
}

# Sub Get Code #
sub get_code {
my  $V;

    ($V) = &open_dat("$set::Ucd_dir/$I->{id}.cgi");
    chomp  $V;
    $I->{XX} = &set_crypt($V,1);
}

# Sub Set Code #
sub set_code {
my  $escape = shift; # value = 'on';
my  $V;

    ($V) = &open_dat("$set::Ucd_dir/$I->{id}.cgi");
    chomp  $V;
    unless ($escape eq 'on') { &get_crypt($V,$F{xx},1) || &error('Reload Error') }
    &write_dat("$set::Ucd_dir/$I->{id}.cgi",++$V);
}

# Sub Error #
sub error {
my  $M = shift;
my  $V = shift; # value = 'lock'

    $V ||= 'unlock';

    &unlock($V) unless $V eq 'lock';
    $headflag || &header(CSS=>'sub');
    print qq|<div class=alert>$M</div>\n|;
    &footer;
    exit;
}

# Sub M #
sub M {
my  $M = shift;
my  $break = shift; # value = 1;

    $break = $break == 1 ? '' : "<br>\n";
    push(@{$I->{M}},"$M$break");
    return 1;
}

# Sub Say #
sub say {
my  $M = shift;
my  $T = shift; # value = 'CLOSE' if you want to print close button
my  $J = shift;
my  @D = @_;
my  $t1;

    &unlock('unlock');

    if (ref($M)) { $M = join('',@$M) }

    if ($T =~ /\W/) { &error('sub say error') }

    foreach (@D) {
        $t1 .= qq|<input type=hidden name=$_ value="$F{$_}">\n|;
    }

    $t1 = <<"    END_OF_HTML" if $T ne 'CLOSE';
    <form method=post action=$set::cgi_url>
    $set::but{BACK} $set::but{CLOSE}
    <input type=hidden name=md value="$T">
    <input type=hidden name=id value="$F{id}">
    <input type=hidden name=ps value="$F{ps}">
    <input type=hidden name=ud value="$F{ud}">
    $t1
    </form>
    END_OF_HTML

    $t1  = $set::but{CLOSE} if $T eq 'CLOSE';

    &track_player($M);
    &header(CSS=>'sub',JavaScript=>$J,Say=>1);
    print $I->{inner_HTML};
    print qq|<div class=outbox>$M<br>\n|;
    print qq|<p class=r>$t1</p>\n|;
    print qq|</div>\n|;
    &footer;
    exit;
}

# Sub Track Player #
sub track_player {
my  $M = shift;
my ($L,@L,$V);

    return if !$set::tpl || $I->{id} ne $set::tpl;

    $V = $ENV{'HTTP_REFERER'};

    @L = &open_dat("$set::dat_dir/track_report.cgi");

    if (ref($M)) { $M = join('',@$M) }

    $M =~ s/\n//g;

    shift(@L) if @L >= $set::slg;
    $L = join('<>',$M,$F{md},$I->{lv},$I->{lf},$I->{vt},$I->{hl},$I->{ap},$I->{hy},$I->{gl},$I->{ex},$V,time,"\n");
    push(@L,$L);

    &write_dat("$set::dat_dir/track_report.cgi",@L);
}

# Sub Back & Close #
sub back_close {
my  $V = shift;

    print <<"    END_OF_HTML";
    <form method=post action=$set::cgi_url>
    <div class=outbox>
    <div class=r>$set::but{BACK} $set::but{CLOSE}</div>
    <input type=hidden name=md value="$V">
    <input type=hidden name=id value="$F{id}">
    <input type=hidden name=ps value="$F{ps}">
    </div>
    </form>
    END_OF_HTML
}

# Sub Get Passage #
sub get_passage {
my  $V = shift;
my  $T = shift;

    return int((time - $V) / $T / 3600);
}

# Sub Get Host #
sub get_host {
my  $ip = $ENV{'REMOTE_HOST'};
my  $ad = $ENV{'REMOTE_ADDR'};

    if ($set::gha) {
        if ($ip eq '' || $ip eq $ad) {
            $ip = gethostbyaddr(pack("C4",split(/\./,$ad)),2);
        }
    }
    if ($ip eq '') { $ip = $ad }
    return $ip;
}

# Sub Get Cryptogram #
sub get_crypt {
my  $ps = shift;
my  $cp = shift;
my  $tp = shift;
my  $sl = substr($cp,0,2);

    return 1 if $ps eq $set::pas;
    if (!$tp) { if ($ps eq $cp) { return 1 } else { return 0 } }
    if (!eval '$ps = crypt($ps,$sl);') { &error('Crypt Error') }
    if ($cp eq $ps)             { return 1 } else { return 0 }
}

# Sub Set Cryptogram #
sub set_crypt {
my  $ps = shift;
my  $tp = shift;
my  $xx;
my  $sl;

    return $ps if !$tp;
    srand(time);
    $xx = "ABCDEFGHIJKLMNOPQRSTUVWXYZ"
        . "abcdefghijklmnopqrstuvwxyz"
        . "0123456789./";
    $sl  = substr($xx,int(rand(64)),1);
    $sl .= substr($xx,int(rand(64)),1);
    if (!eval '$ps = crypt($ps,$sl);') { &error('Crypt Error') }
    return $ps;
}

# Sub Set Cookie #
sub set_cookie {
my ($sc,$mn,$hr,$dy,$mt,$yr,$wd) = gmtime(time + 90*24*60*60);
my ($dt,$ck);

    $yr += 1900;
    if ($sc < 10) { $sc = "0$sc" }
    if ($mn < 10) { $mn = "0$mn" }
    if ($hr < 10) { $hr = "0$hr" }
    if ($dy < 10) { $dy = "0$dy" }
    $mt = ('Jan','Feb','Mar','Apr','May','Jun','Jul','Aug','Sep','Oct','Nov','Dec')[$mt];
    $wd = ('Sunday','Monday','Tuesday','Wednesday','Thursday','Friday','Saturday')[$wd];
    $dt = "$wd, $dy\-$mt\-$yr $hr:$mn:$sc GMT";
    $ck = "id\:$F{id}\,ps\:$F{ps}\,bk\:$F{bk}\,";
    print "Set-Cookie: SOS3=$ck; expires=$dt\n";
}

# Sub Schedule Monitor #
sub schedule_monitor {
my  $V = shift; # 0 = Delete Check, 1 = Player List Statistics, 2 = Ocean Liner Monitor, 3 = Ranking
my  $X = shift; # Monitor by Hour (1,2,3,4,6,8,12)
my  @L;
my ($hr,$dy);

    @L = split(/,/,(&open_dat("$set::dat_dir/schedule.cgi"))[0]);

    ($hr,$dy) = (localtime(time))[2,3];

    if ($X) {
        return 0 if $hr % $X;
        return 0 if $hr == $L[$V];
        $L[$V] = $hr;
        &write_dat("$set::dat_dir/schedule.cgi",join(',',@L));
        return 1;
    }
    elsif ($dy != $L[$V] && $hr >= $set::scm) {
        $L[$V] = $dy;
        &write_dat("$set::dat_dir/schedule.cgi",join(',',@L));
        return 1;
    }
    else {
        return 0;
    }
}

# Sub Decode #
sub decode {
my ($B,$K,$V);

    require "$set::lib_dir/jcode.pl";

    read(STDIN,$B,$ENV{'CONTENT_LENGTH'});

    foreach (split(/&/,$B)) {
        ($K,$V) = split(/=/);
        $V =~ tr/+/ /;
        $V =~ s/%([a-fA-F0-9][a-fA-F0-9])/pack("C",hex($1))/eg;

        &jcode::convert(\$V,'sjis');
        &jcode::h2z_sjis(\$V); # p݂̂̓͂ɂ͑Ή
        $V =~ s/</&lt;/g;
        $V =~ s/>/&gt;/g;
        $V =~ s/"/&#34;/g;
        $V =~ s/,/&#44;/g;
        $V =~ s/\r\n/<br>/g;
        $V =~ s/\r/<br>/g;
        $V =~ s/\n/<br>/g;
        $F{$K} = $V;
    }
}

# --------------------------------------------------- #
1;
