# --------------------------------------------------- #
# Script of Saga III Burial.cgi Version 1 (2.1)
# Copyright (C) 2007 Missing Link.
# --------------------------------------------------- #

# Sub Burial Before #
sub burial_before {
my ($Ii,$Ip,$F);

    $I = &get_user('I');

    &get_code;

    &get_item($I);
    &get_pet($I);

    foreach $i (0 .. $#{$I->{Bg}}) {
        $Ii = $I->{Bg}[$i];
        if ($Ii->{Ql}{Cf}) {
            $F = $i;
            last;
        }
    }

    &say("Kvł",'pet') if $F eq '';

    $Ip = $I->{Pt}[$F{pt}];
    $Ip->{Im} = &item_image($Ip);
    $Ii->{Im} = &item_image($Ii);

    &say("$Ip->{Im}$Ip->{Nm}͋R撆ł",'pet') if $Ip->{eq} eq 'rd';
    &say("$Ip->{Im}$Ip->{Nm}͖`ɓsł",'pet') if $Ip->{eq} eq 'co';
    &say("$Ip->{Im}$Ip->{Nm}͎ł܂",'pet') if $Ip->{hg};

    &header(CSS=>'sub');
    print <<"    END_OF_HTML";
    <div class=label>$set::lab{pt}̖</div>
    <form method=post action=$set::cgi_url>
    <div class=outbox>
    $Ip->{Im}$Ip->{Nm}𖄑܂B<br>
    <br>
    $Ii->{Im}$Ii->{nm}gp܂B<br>
    <br>
    ɍތt <tt>Sp25܂ issj</tt><br>
    <input type=textbox class=textbox name=ma size=50><br>
    <br>
    <div class=r>$set::but{OK}</div>
    <input type=hidden name=md value="burial_after">
    <input type=hidden name=id value="$F{id}">
    <input type=hidden name=ps value="$F{ps}">
    <input type=hidden name=pt value="$F{pt}">
    <input type=hidden name=i value="$F">
    <input type=hidden name=xx value="$I->{XX}">
    </div>
    </form>
    END_OF_HTML
    &back_close('pet');
    &footer;
}

# Sub Burial After #
sub burial_after {
my ($Ii,$Ip);

    $I = &get_user('I');

    &say("uɍތtv͑Sp25܂",'burial_before','','pt') if length $F{ma} > 25 * 2;

    &set_code;

    &get_item($I);
    &get_pet($I);

    $Ii = $I->{Bg}[$F{i}];
    $Ii->{qn}--;
    &change_status($I,'bg',-$Ii->{wt});

    $Ip = $I->{Pt}[$F{pt}];
    $Ip->{Im} = &item_image($Ip);

    &M("$Ip->{Im}$Ip->{Nm}𖄑{܂EEEB");
    &burial_list($I,$Ip);

    &change_status($I,'px',-$Ip->{sl});
    $Ip->{id} = '';

    &set_item($I);
    &set_pet($I);
    &set_user($I);

    &say($I->{M},'pet');
}

# Sub Burial List #
sub burial_list {
my  $S = shift;
my  $Sp = shift;
my (@L,$t1,$t2,$V);

    # ̃ybg͏O
    return if !$Sp->{Nm};

    &lock('_cemetery');

    @L = &open_dat("$set::dat_dir/pet_cemetery.cgi");

	pop(@L) if @L >= $set::pcx;
    unshift(@L,join('<>',@{$Sp}{Nm,nm,lv,hx,up,bt},$S->{nm},time,$F{ma},"\n"));

    &write_dat("$set::dat_dir/pet_cemetery.cgi",@L);

    &unlock('_cemetery');

	require "$set::lib_dir/date.cgi";

    foreach (@L) {
        $L = [split(/<>/)];
        $t1 .= "<tr>\n";
        $t1 .= "<td nowrap>$L->[0]</td>";
        $t1 .= "<td nowrap>$L->[1]</td>";
        $t1 .= "<td nowrap align=right>$L->[2]</td>";
        $V = $L->[3] == 0 ? '쎀' : 'V';
        $t1 .= "<td nowrap>$V</td>";
        $V = &get_passage(time - $L->[4] + $L->[5],$set::pyt);
        $t1 .= "<td nowrap align=right>$V</td>";
        $t1 .= "<td nowrap>$L->[6]</td>";
        $V = &get_day($L->[4]);
        $t1 .= "<td nowrap>$V</td>";
        $V = &get_day($L->[7]);
        $t1 .= "<td nowrap>$V</td>";
        $t1 .= "<td width=100%>$L->[8]</td>";
        $t1 .= "</tr>\n";
    }

    $t2  = &header(CSS=>'list',GetTag=>1);
    $t2 .= <<"    END_OF_HTML";
    <div class=label>$set::lab{pt}n</div>
    <table>
    <tr>
    <td class=heading nowrap>O</td>
    <td class=heading nowrap></td>
    <td class=heading nowrap>LV</td>
    <td class=heading nowrap></td>
    <td class=heading nowrap>N</td>
    <td class=heading nowrap></td>
    <td class=heading nowrap></td>
    <td class=heading nowrap></td>
    <td class=heading nowrap></td>
    </tr>
    $t1
    </table>
    END_OF_HTML
    $t2 .= &footer(GetTag=>1);
    &write_dat($set::cem_htm,$t2);
}

# --------------------------------------------------- #
1;
