# --------------------------------------------------- #
# Script of Saga III Compose.cgi Version 7 (2.2)
# Copyright (C) 2005-2007 Missing Link.
# --------------------------------------------------- #

require "$set::dat_dir/compose_category.cgi";

# Sub Compose #
sub compose {
my  $i;
my  $Ii;
my ($t1,$t2);

    $I = &get_user('I');

    &dead_check($I,'CLOSE');

    &get_item($I);

    foreach $Ii (@{$I->{Bg}}) {
        $i++;
        next if !$Ii;
        $t1 .= "<input type=checkbox name=$i class=checkbox> ";
        $t1 .= &decorate_item($Ii,'',1);
    }

    foreach (sort { $CO{$a}{n} <=> $CO{$b}{n} } keys %CO) {
        $t2 .= qq|<option value="$_">$CO{$_}{lab}</option>\n| if $I->{Sk}{$CO{$_}{sk}};
    }

    &say("쐬XLĂ܂",'CLOSE') if !$t2;

    &get_code;

    &header(CSS=>'sub',JavaScript=>'GetView');
    print <<"    END_OF_HTML";
    <div class=label>쐬</div>
    <form method=post action=$set::cgi_url>
    <div class=outbox>
    $t1
    <div class=r>
    <tt>ACedʁF$I->{bg}/$I->{Mbg} $set::wgt</tt><br>
    <tt>וXbgF$I->{Bs}/$I->{bs}</tt><br>
    <tt>pbNXLF$I->{pc}</tt>
    </div>
    <br>
    <div class=r>
    <select id=mode name=md class=select onChange="HideObject('type','mode','compose_before','normal');">
    <option value="compose_before">쐬</option>
    <option value="look">ׂ</option>
    <option value="price_before">liݒ肷</option>
    <option value="pack">pbNɂ</option>
    <option value="pack_all">SĂpbNɂ</option>
    <option value="unpack_before">pbN𕪂</option>
    <option value="dump">̂Ă</option>
    </select>
    <select id=type style="visibility:visible" name=fi class=select>
    $t2
    </select>
    $set::but{OK}<br>
    <br>
    $set::but{CLOSE}
    </div>
    <input type=hidden name=id value="$F{id}">
    <input type=hidden name=ps value="$F{ps}">
    <input type=hidden name=xx value="$I->{XX}">
    <input type=hidden name=fl value="compose">
    </div>
    </form>
    END_OF_HTML
    &footer;
}

# Sub Compose Before #
sub compose_before {
my  $i;
my  $Ii;
my ($t1,$t2);
my ($K,$V,$X,$L,@L);

    $I = &get_user('I');

    &error('sȃG[') if !$F{fi} || $F{fi} =~ /[^a-z_]/;
    &error('Compose Skill Error') if $CO{$F{fi}}{sk} && !$I->{Sk}{$CO{$F{fi}}{sk}};
    &error('') if ! -e "$set::itm_dir/$F{fi}.cgi";

    require "$set::itm_dir/$F{fi}.cgi";

    @L = sort grep /\d/, keys %F;
    $L = join('/',@L);

    foreach $Ii (@FI) {
        $i++;
        next unless $Ii->{gf} = &creativity_check($I,$Ii);
        $t1 .= qq|<option value="$i">[T$Ii->{gf}] $Ii->{dt}{nm} |;
        $t1 .= qq| = $Ii->{gl} $set::mny| if $Ii->{gl};
        $t1 .= qq|</option>\n|;
    }

    $X = $I->{pc} < 20 ? $I->{pc} : 20;
    foreach (1 .. $X) {
        $t2 .= qq|<option value="$_">$_</option>\n|;
    }

    &set_code;
    &get_code;

    &header(CSS=>'sub');
    print <<"    END_OF_HTML";
    <div class=label>쐬ACe</div>
    <form method=post action=$set::cgi_url>
    <div class=outbox>
    <select name=ci class=select>$t1</select> ʁF<select name=do class=select>$t2</select> $set::but{'OK'}
    <input type=hidden name=id value="$F{id}">
    <input type=hidden name=ps value="$F{ps}">
    <input type=hidden name=md value="compose_after">
    <input type=hidden name=xx value="$I->{XX}">
    <input type=hidden name=fi value="$F{fi}">
    <input type=hidden name=ai value="$L">
    <div class=r><tt>$set::lab{gl}F$I->{gl} $set::mny</tt></div>
    </div>
    </form>
    END_OF_HTML
    &back_close('compose');
    &footer;
}

# Sub Compose After #
sub compose_after {
my  $Ii;
my  $Ui;
my (@CL,@ID,@EQ,$K,$V);

    $I = &get_user('I');

    &error('Compose Skill Error') if $CO{$F{fi}}{sk} && !$I->{Sk}{$CO{$F{fi}}{sk}};

    &set_code;

    map { $F{$_} = 1 } split(/\//,$F{ai});

    &get_item($I);

    &say("וXbgɋ󂫂pӂĉ",'compose') if @{$I->{Bg}} >= $I->{bs};

    &error('Compose File Error') if !$F{fi} || $F{fi} =~ /[^a-z_]/ || ! -e "$set::itm_dir/$F{fi}.cgi";

    require "$set::itm_dir/$F{fi}.cgi";

    $Ui = $FI[$F{ci}-1];
    $Ui->{dt}{qn} ||= 1;

    $Ui->{Tc} = &creativity_check($I,$Ui) || &error('sȃG[');

    if ($F{do} > 1 && &item_class_check($Ui->{dt}) ne 'M') {
        &M("$Ui->{dt}{nm}͈쐬ł܂B");
        $F{do} = 1;
    }

    if ($F{do} > 1) {
        foreach $V (keys %{$Ui->{cl}}) {
            $Ui->{cl}{$V} *= $F{do};
        }
        foreach $V (keys %{$Ui->{id}}) {
            $Ui->{id}{$V} *= $F{do};
        }
        $Ui->{dt}{qn} *= $F{do};
        $Ui->{ex} *= $F{do};
        $Ui->{gl} *= $F{do};
    }

    foreach (split(/,/,$Ui->{gv})) {
        ($K,$V) = split(/=/);
        $V *= $F{do};
        $V *= 2 if $K eq 'vt' && $I->{Cd}{Wk}; # 
        &say("$set::lab{$K} $V Kvł",'compose') if $I->{$K} < $V;
        &change_status($I,$K,-$V);
        &reload_gage($K,'V') if ${"M$K"};
    }

    &say("$set::lab{lf}܂",'compose') if !$I->{lf};

    &change_status($I,'lf',-3) if $I->{Cd}{Bl}; # o
    &change_status($I,'hy',-3) if $I->{Cd}{Ab}; # S

    $I->{lf} = 1 if $I->{lf} < 1;

    if ($Ui->{gl}) {
        &say("쐬ɂ $Ui->{gl} $set::mnyKvł",'compose') if $I->{gl} < $Ui->{gl};
        &change_status($I,'gl',-$Ui->{gl});
        &reload_data('gl');
    }

    require "$set::lib_dir/consumption.cgi";
    require "$set::lib_dir/status.cgi";
    require "$set::lib_dir/item.cgi";
    require "$set::dat_dir/itemdata.cgi";

    foreach $Ii (@{$I->{Bg}}) {
        $i++;
        next if !$Ii;
        # IĂȂĂȂc[ƂĎg
        next if !$F{$i} && $Ii->{eq} ne 'rh' && $Ii->{eq} ne 'sb';
        push(@EQ,{%$Ii}) if $Ii->{eq} eq 'rh' || $Ii->{eq} eq 'sb';
        # NXŃ`FbN
        &reduce_item($I,$Ii,$Ui,'cl');
        # IDŃ`FbN
        &reduce_item($I,$Ii,$Ui,'id');
    }

    @CL = grep { $_ } values %{$Ui->{cl}};
    @ID = grep { $_ } values %{$Ui->{id}};

    &say("$Ui->{dt}{nm}쐬ɂ͍ޗ܂B",'compose') if @CL || @ID;

    $I->{Gd} ||= $Ui->{dt}{gd};
    $I->{Gd} ||= 1;

    $Ui->{Rl}  = $Ui->{rl} + $I->{dx} * 3 - ($I->{Gd} - 1) * 10;
    $Ui->{Pc}  = $I->{ij} ? 120 : 100;
    $Ui->{Pc} += 20 if $I->{Cd}{Dk}; # È
    $Ui->{Pf}  = $Ui->{Pc} < $Ui->{Rl} ? 1 : 0;

    &wear_check($I);

    $Ui->{Rl} += $I->{HT};

    if (&roll_dice($Ui->{Pc}) < $Ui->{Rl}) {
        $Ui->{Im} = &item_image($Ui->{dt});
        &M("$Ui->{Im}$Ui->{dt}{nm}쐬܂B");
        &add_durability($Ui->{dt});
        &set_item_data($Ui->{dt});
        &happiness_bonus($I);
        &excellent_roll($I,$Ui->{dt}) if $Ui->{dt}{db};
        &double_roll($I,$Ui->{dt}) if $Ui->{dt}{cl} =~ /(Fd|Mt)/;
        &unexpected_accident($I) if $I->{Cd}{Pz};
    }
    else {
        &M("$Ui->{dt}{nm}̍쐬Ɏs܂B");
        $Ui->{dt}{qn} = 0;
        &change_status($I,'hy',-$set::cph,1);
        &health_bonus($I);
        &unexpected_accident($I);
        if ($I->{in} * 3 >= &roll_dice(100) + 80 - $Ui->{rl}) {
            &M("쐬Ɏgpޗ͖łB");
            $Ui->{ex} = 0;
            $I->{DS} = 1;
            foreach (@EQ) {
                &set_equipment($I,$_);
                &get_effect($_);
                &reload_data($_->{eq},"$_->{nm}$_->{Ef}",$_->{im});
            }
        }
        $Ui->{ex} &&= int($Ui->{ex} / 2);
    }

    &abnormal_condition($I);

    if ($Ui->{ex}) {
        require "$set::lib_dir/experience.cgi";
        &experience($I,$Ui->{ex});
        &reload_data('ex');
    }

    $Ui->{dt}{gd} = $I->{Gd};
    $Ui->{dt}{rk} = $I->{Rk};
    $Ui->{dt}{cr} = $I->{nm} if $Ui->{dt}{db};

    &change_status($I,'bg',$Ui->{dt}{qn} * $Ui->{dt}{wt});

    push(@{$I->{Bg}},$Ui->{dt});

    &reload_gage([@set::gva],'V');

    &inner_HTML;

    &sort_item($I);

    &set_item($I) if !$I->{DS};
    &set_user($I);

    &say($I->{M},'compose','Reload');
}

# Sub Creativity Check #
sub creativity_check {
my  $S = shift;
my  $Si = shift;
my ($K,$V,$T);

    foreach (split(/,/,$Si->{gf})) {
        ($K,$V) = split(/=/);
        $V++ if $S->{Cd}{Fr} && $K eq 'tc';
        return 0 if (!$V && !$S->{Sk}{$K}) ||
                    ($K eq 'sx' && $S->{sx} ne $V) ||
                    ($S->{$K} < $V);
        $T = $V if $K eq 'tc';
    }
    return $T if $T;
    return 1;
}

# Sub Reduce Item #
sub reduce_item {
my  $S = shift;
my  $Si = shift;
my  $Ui = shift;
my  $V = shift; # cl or id
my ($W,$X,$Y,$Z);

    $X = $Ui->{$V};
    $Y = $Si->{$V};
    $W = $Si->{db} ? 'db' : 'qn';
    if ($Ui->{ss}{$Y}) { # ֕i
        $Y = $Ui->{ss}{$Y};
    }
    return if !$X;
    return if !$X->{$Y};
    if ($Si->{$W} >= $X->{$Y}) {
        $Z = $X->{$Y};
        $X->{$Y} = 0;
    }
    else {
        $Z = $Si->{$W};
        $X->{$Y} -= $Si->{$W};
    }
    &grade_check($S,$Si) if $Si->{gd} && $Ui->{ki} && $Ui->{ki} eq $Y;
    &rank_check($S,$Si)  if $Si->{rk};
    &add_item_data($Si,$Ui->{dt},$V,$Z);
    &consumption_check($Si,$Z);
}

# Sub Add Item data #
sub add_item_data {
my  $Si = shift;
my  $Ui = shift;
my  $Y  = shift; # cl or id
my  $Z  = shift; # quantity
my  $X = $Si->{$Y};
my  ($K,$V);

    return if exists $FD{$Ui->{id}};

    # f[^ɖ #
    if (!exists $FD{$X}) {
        $FD{$X}{bp} = $Si->{bp};
        $FD{$X}{wt} = $Si->{wt};
        if ($Si->{cl} eq 'Fd') {
            foreach (split(/,/,$Si->{ef})) {
                ($K,$V) = split(/=/);
                $FD{$X}{$K} = $V;
            }
        }
    }
    elsif ($FD{$X}{tp}) {
        $X = $FD{$X}{tp};
    }

    $Ui->{bp} += $FD{$X}{bp} * $Z;
    $Ui->{wt} += $FD{$X}{wt} * $Z;

    return if $Ui->{cl} ne 'Fd';

    foreach $K ('lf','hl','hy') {
        next if !$FD{$X}{$K};
        $Ui->{$K} += $FD{$X}{$K} * $Z;
    }
}

# Sub Add Durability #
sub add_durability {
my  $Si = shift;

    require "$set::dat_dir/durability.cgi";

    return if $Si->{db} || !$DB{$Si->{cl}};

    map { $Si->{Ql}{$_} = 1 } split(/,/,$Si->{ql});

    $Si->{db} = $Si->{Ql}{Th} ? $DB{Th}:
                $Si->{Ql}{Dh} && $Si->{cl} eq 'Sw' ? $DB{Ts}:
                $DB{$Si->{cl}};
    $Si->{db} = join('/',($Si->{db}) x 2);
}

# Sub Grade Check #
sub grade_check {
my  $S = shift;
my  $Si = shift;

    $S->{Gd} = $Si->{gd} if !$S->{Gd} || $Si->{gd} < $S->{Gd}; # Sđ
}

# Sub Rank Check #
sub rank_check {
my  $S = shift;
my  $Si = shift;

    $S->{Rk} = $Si->{rk} if !$S->{Rk} || $Si->{rk} > $S->{Rk};
}

# Sub Excellent Roll #
sub excellent_roll {
my  $S = shift;
my  $Si = shift;

    return if $S->{Cd}{Pn};

    if (&roll_dice(100 + $S->{Hy}) <= $set::erb + $S->{st}) {
        $Si->{ql} .= ',Ex';
        $Si->{db} = int($Si->{db} * $set::edu);
        $Si->{bp} = int($Si->{bp} * $set::edu);
        &M("$Si->{nm}<span class=Ex>GNZgi</span>łB");
    }
}

# Sub Double Roll #
sub double_roll {
my  $S = shift;
my  $Si = shift;

    return if $S->{Cd}{Pn};

    if (&roll_dice(100 + $S->{Hy}) <= $set::erb + $S->{st}) {
        $Si->{qn} *= $set::ddu;
        &M("$set::ddu{̗ʂ쐬鎖ɐ܂B");
    }
}

# Sub Unexpected Accident #
sub unexpected_accident {
my  $S = shift;
my  ($V);

    return if $S->{ij};

    $V  = $S->{cn};
    $V *= $set::sUb if $S->{Sk}{Ub};
    $V += $S->{AC};

    if (&roll_dice(100 - $S->{Hl} + $V) <= $set::icp) {
        $V = &roll_dice(4) - 1;
        $V = ('Fr','La','Bn','Pw')[$V];
        &change_condition($S,'ij',$V,1);
        &M("<span class=alert>$set::cnd{$V}[1]</span>𕉂܂B");
        &change_status($S,'hy',-3,1);
    }
}

# Sub Abnormal condition #
sub abnormal_condition {
my  $S = shift;
my ($V,$M);

    return if &roll_dice(100) > $set::anc;
    return if &roll_dice(100) < $S->{RG};

    $V = &roll_dice(7) - 1;
    $V = ('Wk','Pz','Bl','Dk','Ab','Pn','Fr')[$V];
    $M = $V =~ /(Dk|Fr)/ ? 'ɏP܂' : 'ԂɂȂ܂';

    &M();
    &M("$S->{nm}͓ˑRȂ܂B");
    &M("$S->{nm}́u<span class=alert>$set::cnd{$V}[1]</span>v$MB");
    &M();

    $S->{Tl}{$V} = time + $set::ccl * 60;
    &change_condition($S,'cd',$V,1);
}

# Sub Wear Check #
sub wear_check {
my  $S = shift;
my  $Si = shift;
my ($V,$V1,$V2,$V3);

    require "$set::lib_dir/break.cgi";

    # Xq`FbN #
    &get_equipment($S,'hd');
    if ($S->{Hd}{cl} eq 'Ht' && !$Si->{Pf}) {
        $S->{HT} = $S->{Hd}{ef} + $set::grd[$S->{Hd}{gd}];
        &break_check($S,'hd');
    }

    # wփ`FbN #
    &get_equipment($S,'fg');
    if ($S->{Fg}{cl} eq 'Rg' && $S->{Fg}{rk} * 3 + 1 >= $Si->{Tc}) {
        $S->{RG} = $S->{Fg}{ef} + $set::grd[$S->{Fg}{gd}] * $set::acb;
        &break_check($S,'fg');
    }

    # `FbN #
    &get_equipment($S,'nk');
    if ($S->{Nk}{cl} eq 'Ac' && $S->{Nk}{rk} * 3 + 1 >= $Si->{Tc}) {
        $S->{AC} = $S->{Nk}{ef} + $set::grd[$S->{Nk}{gd}] * $set::acb;
        &break_check($S,'nk');
    }
}

# --------------------------------------------------- #
1;
