# --------------------------------------------------- #
# Script of Saga III Find.cgi Version 7 (2.2)
# Copyright (C) 2005-2007 Missing Link.
# --------------------------------------------------- #

# Sub Find #
sub find {
    $I = &get_user('I');

    &dead_check($I,'CLOSE');

	&say('ȏ͎Ă܂','CLOSE') if $I->{bg} >= $I->{Mbg};

    &get_place($I);

    # T̓\
    $I->{bonus} = $set::sSi if $I->{Sk}{Si};

    &get_item($I);

    # X^[o #
    if ($I->{Pl}{ev}{Ms}) {
        $U = {};
        &encounter($I,'monster');
    }
    # X^[oȂ #
    else {
        &found($I,'item');
    }

    &sort_item($I);
    &set_item($I);

    &set_user($I);

    &reload_data('gl');
    &reload_gage('vt','V');

    &inner_HTML;

    &say($I->{M},'CLOSE','Reload');
}

# Sub Found #
sub found {
my  $S = shift;
my  $F = shift; # Flag
my  ($i,%V,$D,@FI);

    %V = &get_find_data($S,$F);

    require "$set::itm_dir/$V{file1}";
    require "$set::dat_dir/$V{file2}";

    &say("$S->{Pl}{nm}ł$V{title}ւĂ܂",'CLOSE') unless $CA{$S->{pl}} || $CA{$S->{Pl}{kg}};

    %CA = $CA{$S->{pl}} ? %{$CA{$S->{pl}}} : %{$CA{$S->{Pl}{kg}}};
    @FI = sort { $a <=> $b } keys %CA;

    for $i (1..$F{do}) {
        last if $S->{vt} < $V{VIT};

        &change_status($I,'vt',-$V{VIT});

        &M() if $i > 1;
        &M("<tt>$V{title}$i</tt>");

        &found_money($S,0) if $V{money};

        $D  = &roll_dice(1000 - $F{do}) - $S->{bonus};

        undef $Ii;

        $Ii = &found_treasure_map($S,$D);

        if (!$Ii) {
            foreach (@FI) {
                if ($D <= $_) {
                    $Ii = $FI{$CA{$_}};
                    last;
                }
            }
        }

        &M("܂łB") && next if !$Ii;

        next if  &found_orb($S,$Ii);
        last if !&found_item($S,$Ii,$V{words});
    }

    &set_orb($S) if $S->{Ob};
}

# Sub Encounter #
sub encounter {
my  $S = shift;
my  $F = shift; # 'hunting' or 'monster'
my  ($i,%V,$D,@FI);

    %V = &get_find_data($S,$F);

    require "$set::lib_dir/fight.cgi";
    require "$set::itm_dir/$V{file1}";
    require "$set::dat_dir/$V{file2}";

    &say("$S->{Pl}{nm}ł$V{title}ւĂ܂",'CLOSE') unless $CA{$S->{pl}} || $CA{$S->{Pl}{kg}};

    %CA = $CA{$S->{pl}} ? %{$CA{$S->{pl}}} : %{$CA{$S->{Pl}{kg}}};
    @FI = sort { $a <=> $b } keys %CA;

    for $i (1..$F{do}) {
        last if $S->{vt} < $V{VIT};
        last if !$F && $S->{Rh}{cl} ne 'Bo';

        &M("$set::lab{lf}ቺĂׁAT𒆒f܂B") && last if $S->{lf} <= 10;

        &change_status($I,'vt',-$V{VIT});

        &M() if $i > 1;
        &M("<tt>$V{title}$i</tt>");

        $D  = &roll_dice(1000 - $F{do}) - $S->{bonus};

        undef $Ii;
        foreach (@FI) {
            if ($D <= $_) {
                $Ii = $FI{$CA{$_}};
                last;
            }
        }

        &M("܂łB") && next if !$Ii;

        $U = {%$Ii};

        &fight_creature($V{turn}) || last;

        next if &roll_dice(1000) > $U->{gi} + $S->{bonus};

        $Ii = &select_acquisition($U) if !$U->{lf};

        next if  &found_orb($I,$Ii);
        last if !&found_item($I,$Ii,$V{words});
    }

    &reload_gage(['lf','hl','ap','hy'],'V');
    &set_orb($S) if $S->{Ob};
}

# Sub Found Money #
sub found_money {
my  $S = shift;
my  $V = shift;

    $V ||= $S->{Pl}{gl};
    $V = &roll_dice($V);
    $S->{gl} += $V;
    &M("<img src=$set::mim_dir/g.gif> $V $set::mnyɓ܂B");
}

# Sub Found Orb #
sub found_orb {
my  $S = shift;
my  $Si = shift;

    return 0 if $Si->{cl} ne 'Ob';

    $Si->{Im} = &orb_image($Si->{ef});

    if ($set::mob && length $S->{ob} >= $set::mob) {
        &M("$Si->{Im}$Si->{nm}𔭌܂ȏ̓I[uł܂B");
    }
    else {
        &M("$Si->{Im}$Si->{nm}𔭌܂B");

        $S->{ob} .= $Si->{ef};
        $S->{Ob} = [split(//,$S->{ob})];
    }

    return 1;
}

# Sub Found Item #
sub found_item {
my  $S = shift;
my  $Si = shift;
my  $V = shift;
my  $i;

    return 1 if !$Si->{qn};

    $Si->{Im} = &item_image($Si);
    $Si->{Qn} = $Si->{qn};

    for $i (1 .. $Si->{Qn}) {
        last if $i * $Si->{wt} + $S->{bg} > $S->{Mbg};
        $Si->{qn} = $i;
    }

    &M("$Si->{Im}$Si->{nm}ɓ܂ȏ㎝ĂȂ̂Ŏ̂Ă܂B") && return 0 if !$Si->{qn};
    &M("$Si->{Im}$Si->{nm}ɓ܂וXbgt̂Ŏ̂Ă܂B") && return 0 if @{$S->{Bg}} >= $S->{bs};

    push (@{$S->{Bg}},$Si);

    $S->{bg} += $Si->{wt} * $Si->{qn};

    &M("$Si->{Im}$Si->{nm}$Si->{qn}$VB");
    &M("ȏ͎Ă܂B") && return 0 if $S->{bg} == $S->{Mbg};

    return 1;
}

# Sub Found Treasure Map #
sub found_treasure_map {
my  $S = shift;
my  $D = shift;
my  ($Si,$V,@V);

    return 0 if !$S->{Sk}{Gt};
    return 0 if $D > $set::sGt;

    require "$set::itm_dir/otheritem.cgi" if !%OI;

    $Si = {%{$OI{Tm}}};
    $V = @V = keys %PL;
    $V = &roll_dice($V) - 1;
    $Si->{ef} = $V[$V];
    $Si->{nm} = $PL{$V[$V]}{nm} . '' . $Si->{nm};

    return $Si;
}

# Sub Select Acquisition #
sub select_acquisition {
my  $D = shift;
my  $i = 1;
my (@L,$V);

    while ($D->{"i$i"}) {
        push(@L,$D->{"i$i"});
        $i++;
    }

    $V = &roll_dice($#L + 1) - 1;

    return $L[$V];
}

# Sub Get Find Data #
sub get_find_data {
my  $S = shift;
my  $F = shift;
my  %V;

    %V = (
        'item' => {
            file1 => 'find_item.cgi',
            file2 => 'find_item_catalog.cgi',
            VIT   => $set::fvt,
            title => 'T',
            money => 1,
            words => '܂' },
        'monster' => {
            file1 => "monster_$S->{pl}.cgi",
            file2 => 'find_monster_catalog.cgi',
            VIT   => $set::fvt,
            turn  => $set::ffx,
            title => 'T',
            words => 'ɓ܂' },
        'hunting' => {
            file1 => 'forest_animal.cgi',
            file2 => 'forest_animal_catalog.cgi',
            VIT   => $set::wvt,
            turn  => $set::hfx,
            title => '',
            words => 'ɓ܂' },
        'berry' => {
            file1 => 'forest_berry.cgi',
            file2 => 'forest_berry_catalog.cgi',
            VIT   => $set::pvt,
            title => '̎',
            words => 'ɓ܂' },
        'dye' => {
            file1 => 'forest_dye.cgi',
            file2 => 'forest_dye_catalog.cgi',
            VIT   => $set::pvt,
            title => '̎',
            words => 'ɓ܂' },
        'river_fishing' => {
            file1 => 'river_fish.cgi',
            file2 => 'river_fish_catalog.cgi',
            VIT   => $set::yvt,
            title => 'ނ',
            words => 'Cނ܂' },
        'harbor_fishing' => {
            file1 => "harbor_fish.cgi",
            file2 => 'harbor_fish_catalog.cgi',
            VIT   => $set::yvt,
            title => 'ނ',
            words => 'Cނ܂' },
        'herb' => {
            file1 => "forest_herb.cgi",
            file2 => 'forest_herb_catalog.cgi',
            VIT   => $set::pvt,
            title => '̎',
            words => 'ɓ܂' },
        'lumberjacking' => {
            file1 => 'forest_wood.cgi',
            file2 => 'forest_wood_catalog.cgi',
            VIT   => $set::wvt,
            title => '',
            words => '{ɓ܂' },
        'mine_ore' => {
            file1 => 'mine_ore.cgi',
            file2 => 'mine_catalog.cgi',
            VIT   => $set::mvt,
            title => '̌@',
            words => 'ɓ܂' },
        'mine_gold' => {
            file1 => 'mine_gold.cgi',
            file2 => 'mine_catalog.cgi',
            VIT   => $set::mvt,
            title => '̌@',
            words => 'ɓ܂' },
    );

    return %{$V{$F}};
}

# --------------------------------------------------- #
1;