# --------------------------------------------------- #
# Script of Saga III Player List.cgi Version 7 (2.2)
# Copyright (C) 2005-2007 Missing Link.
# --------------------------------------------------- #

# Player List #
sub playerlist {
my ($t1,$t2,@T);
my %unique;

    &playerlist_statistics if $F{or} eq 'Ps';
    &sales_information if $F{or} eq 'Si';
    &ranking if $F{or} eq 'Rk';

    $I->{pl} = $F{pl};
    $I->{pl} || &error('No Place');

    &get_resident($I);

    $F = $set::uop <=> $set::mif{Xx};

    foreach (@{$I->{Pp}}) {
        $U = &get_user('U',$_,'unlocked') or next;
        next if $F{or} eq 'Cz' && !$U->{Sk}{Cz};
        next if $F{or} eq 'Ft' &&  $U->{Sk}{Cz};
        next if $F{or} eq 'Bt' &&  $U->{rw} < $set::sps;
        $U->{Li} = &login_check($U,1) ? '':
                $U->{rw} >= $set::sps ? '':
                             $U->{vp} ? '':
                                        '';
        $U->{Id} = index($U->{id},'_') ? $U->{id} : 'NPC';
        &condition_initial($U,'da');
        &condition_initial($U,'ij');
        &condition_initial($U,'cd');
        undef %unique;
        @{$U->{Ob}} = map  { &orb_image($_).$unique{$_} }
                      grep { !$unique{$_}++ }
                      grep { /[a-l]/ } split(//,$U->{ob});
        &get_item($U);
        &get_pet($U);
        undef @T;
        foreach $Ui (@{$U->{Bg}},@{$U->{Pt}}) {
            next unless $Ui->{sp} && !$Ui->{rs};
            $t2  = $Ui->{nm};
            $t2 .= "+$Ui->{pl}" if $Ui->{pl};
            $t2  = "<span class=i$Ui->{gd}>$t2</span>" if $Ui->{gd};

            $t2 .= "=$Ui->{sp}$set::mny" if $F == 1 && $Ui->{qn} > 1;
            $Ui->{sp} *= $Ui->{qn} if $F == 1 && $Ui->{qn} > 1;
            $t2  = "[$t2=$Ui->{sp}$set::mny]" if $set::mif{Xx};
            $t2 .= "x$Ui->{qn}" if $Ui->{qn} > 1;
            $t2 .= "=$Ui->{sp}$set::mny" if !$set::mif{Xx};

            push(@T,$t2);
        }
        $t2 = join(' ',@T);
        $U->{Ob} = join('',@{$U->{Ob}});
        $U->{gu} &&= "<img src=$set::mim_dir/guild$U->{gu}.gif>";
        $t1 .= qq|<tr>|;
        $t1 .= qq|<td>$U->{Id}</td>|;
        $t1 .= qq|<td nowrap>$U->{nm}</td>|;
        $t1 .= qq|<td><img src=$set::mim_dir/$U->{sx}.gif></td>|;
        $t1 .= qq|<td nowrap>$U->{jb}</td>|;
        $t1 .= qq|<td>$U->{gu}</td>|;
        $t1 .= qq|<td>$U->{wn}</td>|;
        $t1 .= qq|<td>$U->{ls}</td>|;
        $t1 .= qq|<td>$U->{dr}</td>|;
        $t1 .= qq|<td>$U->{kl}</td>|;
        $t1 .= qq|<td>$U->{dt}</td>|;
        $t1 .= qq|<td nowrap>$U->{rt}</td>|;
        $t1 .= qq|<td>$U->{Da}{in}</td>|;
        $t1 .= qq|<td>$U->{Ij}{in}</td>|;
        $t1 .= qq|<td nowrap>$U->{Cd}{in}</td>|;
        $t1 .= qq|<td>$U->{Li}</td>|;
        $t1 .= qq|<td class=r>$U->{rw} $set::mny</td>|;
        $t1 .= qq|<td>$U->{w1}</td>|;
        $t1 .= qq|</tr>\n|;
        $t1 .= qq|<tr class=sec><td colspan=10>$U->{Ob}</td><td colspan=7>$t2</td></tr>\n| if $U->{Ob} || $t2;
    }

    &header(CSS=>'list');
    print <<"    END_OF_HTML";
    <table>
    <tr>
    <th>ID</th>
    <th nowrap>O</th>
    <th></th>
    <th nowrap>E</th>
    <th nowrap>M</th>
    <th></th>
    <th></th>
    <th></th>
    <th>E</th>
    <th></th>
    <th nowrap>Rate</th>
    <th></th>
    <th></th>
    <th></th>
    <th></th>
    <th nowrap>$set::lab{rw}</th>
    <th width=100%>Rg</th>
    </tr>
    <tr><th colspan=10>I[u</th><th colspan=7>̔</th></tr>
    $t1
    </table>
    END_OF_HTML
    &footer;
}

# Player List Statistics #
sub playerlist_statistics {
my (@L,$L,$K,$V,$P,$G,%SO);
my ($t1,$t2,$t3);

    &transfer_HTML($set::stt_htm) if !&schedule_monitor(1,0);

    @L = &get_allusersID(1);
    $L->{npc} = @L;

    @L = &get_allusersID();
    $L->{tp} = $L->{c} = $L->{f} = $L->{m} = $L->{w} = 0;

    $set::psl = 2;

    foreach (@L) {
        $U = &get_user('A',$_,'unlocked');
        $L->{tp}++; # Total
        $L->{c}++ if $U->{sk} =~ /Cz/; # Citizen
        $L->{m}++ if $U->{sx} eq 'm';
        $L->{w}++ if $U->{sx} eq 'w';
        $L->{jb}{$U->{jb}}++;
        $L->{lv}[$U->{lv}]++;
        $L->{pl}{$U->{pl}}++;
    }

    $L->{f}  = $L->{tp} - $L->{c}; # Fighter
    $L->{mp} = $L->{tp} ? int($L->{m} / $L->{tp} * 100) : 0;
    $L->{wp} = $L->{tp} ? 100 - $L->{mp} : 0;
    $L->{mi} = &statistics_gage($L->{mp},4);
    $L->{wi} = &statistics_gage($L->{wp},1);
    $L->{fp} = $L->{tp} ? int($L->{f} / $L->{tp} * 100) : 0;
    $L->{cp} = $L->{tp} ? 100 - $L->{fp} : 0;
    $L->{fi} = &statistics_gage($L->{fp},4);
    $L->{ci} = &statistics_gage($L->{cp},1);

    require "$set::dat_dir/job.cgi";

    foreach (@JB) { $SO{$_->{nm}} = $i++ }
    @{$L->{Jb}} = sort{ $SO{$a} <=> $SO{$b} } keys %{$L->{jb}};

    foreach $K (@{$L->{Jb}}) {
        $V = $L->{jb}{$K};
        $V ||= 0;
        $P = int($V / $L->{tp} * 100);
        $G = &statistics_gage($P,3);
        $t1 .= "<tr><td nowrap>$K</td><td nowrap align=right>$Vl</td><td nowrap align=right>$P%</td><td width=100%>$G</td></tr>\n";
    }

    foreach $K (0 .. $#{$L->{lv}}) {
        $V = $L->{lv}[$K];
        next if !$V;
        $P = int($V / $L->{tp} * 100);
        $G = &statistics_gage($P,3);
        $t2 = "<tr><td nowrap>$set::lab{lv} $K</td><td nowrap align=right>$Vl</td><td nowrap align=right>$P%</td><td width=100%>$G</td></tr>\n".$t2;
    }

    require "$set::dat_dir/place.cgi";

    @{$L->{Pl}} = sort{ $PL{$a}{nm} cmp $PL{$b}{nm} } keys %PL;

    foreach $K (@{$L->{Pl}}) {
        $V = $L->{pl}{$K};
        next if !$V;
        $K = $PL{$K}{nm};
        $P = int($V / $L->{tp} * 100);
        $G = &statistics_gage($P,3);
        $t3 .= "<tr><td nowrap>$K</td><td nowrap align=right>$Vl</td><td nowrap align=right>$P%</td><td width=100%>$G</td></tr>\n";
    }

    $t4  = &header(CSS=>'list',GetTag=>1);
    $t4 .= <<"    END_OF_HTML";
    <div class=label>lv</div>
    <table>
    <tr><td nowrap colspan=4 class=heading>l</td></tr>
    <tr><td nowrap>NPCl</td><td align=right>$L->{npc}l</td><td colspan=2 width=100%></td></tr>
    <tr><td nowrap>vC[l</td><td align=right>$L->{tp}l</td><td colspan=2 width=100%></td></tr>
    <tr><td nowrap colspan=4 class=heading>j</td></tr>
    <tr><td nowrap>j</td><td nowrap align=right>$L->{m}l</td><td nowrap align=right>$L->{mp}%</td><td width=100%>$L->{mi}</td></tr>
    <tr><td nowrap></td><td nowrap align=right>$L->{w}l</td><td nowrap align=right>$L->{wp}%</td><td width=100%>$L->{wi}</td></tr>
    <tr><td nowrap colspan=4 class=heading>n</td></tr>
    <tr><td nowrap>퓬n</td><td nowrap align=right>$L->{f}l</td><td nowrap align=right>$L->{fp}%</td><td width=100%>$L->{fi}</td></tr>
    <tr><td nowrap>Yn</td><td nowrap align=right>$L->{c}l</td><td nowrap align=right>$L->{cp}%</td><td width=100%>$L->{ci}</td></tr>
    <tr><td nowrap colspan=4 class=heading>Eƕ</td></tr>
    $t1
    <tr><td nowrap colspan=4 class=heading>x</td></tr>
    $t2
    <tr><td nowrap colspan=4 class=heading>n</td></tr>
    $t3
    </table>
    END_OF_HTML
    $t4 .= &footer(GetTag=>1);
    &write_dat($set::stt_htm,$t4);
    &transfer_HTML($set::stt_htm);
}

# Sub Sales Information #
sub sales_information {
my (@L,@T,$Ui);
my ($t1,$t2,$t3,$F);

    &transfer_HTML($set::sli_htm) if time - (stat("$set::sli_htm"))[9] < $set::ssi * 60;

    @N = &get_allusersID(1);
    @L = &get_allusersID();

    require "$set::dat_dir/place.cgi";

    foreach (@N,@L) {
        $U = &get_user('A',$_,'unlocked');
        &get_item($U);
        &get_pet($U);
        foreach $Ui (@{$U->{Bg}},@{$U->{Pt}}) {
            # ̔iݒ肳\҂Ȃ
            next unless $Ui->{sp} && !$Ui->{rs};
            next if $Ui->{bt} && &get_passage($Ui->{bt},$set::pyt) > $Ui->{ls};
            $Ui->{Id} = index($U->{id},'_') ? $U->{id} : 'NPC';
            $Ui->{Nm} = $U->{nm};
            $Ui->{Pl} = $PL{$U->{pl}}{nm};
            push (@T,$Ui);
        }
    }

    require "$set::dat_dir/sort.cgi";

    @T = sort { $SO{$a->{cl}} <=> $SO{$b->{cl}} || $a->{id} cmp $b->{id} || $a->{sp} <=> $b->{sp} } @T;

    $F = $set::uop <=> $set::mif{Xx};

    foreach $Ui (@T) {
        &playerlist_decorate_item($Ui);
        $Ui->{qn} ||= 1;

        $Ui->{Sp} = $Ui->{sp} * $Ui->{qn} if $F == 1;
        $Ui->{sp} = int($Ui->{sp} / $Ui->{qn}) if $F == -1;

        $t3 = "<td nowrap align=right>$Ui->{Sp} $set::mny</td>" if $F == 1;
        $t1 .= "<tr><td nowrap>$Ui->{nm}</td><td>$Ui->{gd}</td><td nowrap align=right>$Ui->{sp} $set::mny</td>$t3<td nowrap>$Ui->{Id}</td><td nowrap>$Ui->{Nm}</td><td width=100%>$Ui->{Pl}</td></tr>\n";
    }

    $t3  = $F == 1 ? "<th nowrap>P</th>" : '';
    $t2  = &header(CSS=>'list',GetTag=>1);
    $t2 .= <<"    END_OF_HTML";
    <div class=label>̔</div>
    <table>
    <tr><th nowrap>i</th><th>G</th>$t3<th nowrap>z</th><th nowrap>ID</th><th nowrap>̔</th><th width=100%>ݒn</th></tr>
    $t1
    </table>
    END_OF_HTML
    $t2 .= &footer(GetTag=>1);
    &write_dat($set::sli_htm,$t2);
    &transfer_HTML($set::sli_htm);
}

# Ranking #
sub ranking {
my ($i,$j,$K,@L,%t0,$t0,$t1,$t2);

    &transfer_HTML($set::rnk_htm) if !&schedule_monitor(3,0);

    @L = map { &get_user('A',$_,'unlocked') } &get_allusersID();

    $t0 = <<"    END_OF_HTML";
    <tr>
    <th></th>
    <th>ID</th>
    <th nowrap>O</th>
    <th></th>
    <th nowrap>E</th>
    <th nowrap>M</th>
    <th></th>
    <th></th>
    <th></th>
    <th>E</th>
    <th></th>
    <th nowrap>Rate</th>
    <th width=100%>Rg</th>
    </tr>
    END_OF_HTML

    %t0 = ( 'rt' => 'Rate',
            'wn' => '',
            'ls' => 'sk',
            'kl' => 'EQ',
            'dt' => 'S',
            'gl' => '' );

    foreach $K ('rt','wn','ls','kl','dt','gl') {
        @L = sort { $b->{$K} <=> $a->{$K} } @L;

        $t1 .= "<tr><th colspan=13 class=heading>$t0{$K}</th></tr>\n";
        $t1 .= $t0;

        for $i (0 .. $#L) {
            last if $i > $set::rnn;
            $U = $L[$i];
            $j = $i + 1 if !$i || $L[$i]{$K} != $L[$i-1]{$K};
            $j = "<span class=alert>$j</span>" if $j <= 3;
            $U->{gu} &&= "<img src=$set::mim_dir/guild$U->{gu}.gif>";
            $t1 .= qq|<tr>|;
            $t1 .= qq|<td nowrap align=right>$j</td>|;
            $t1 .= qq|<td>$U->{id}</td>|;
            $t1 .= qq|<td nowrap>$U->{nm}</td>|;
            $t1 .= qq|<td><img src=$set::mim_dir/$U->{sx}.gif></td>|;
            $t1 .= qq|<td nowrap>$U->{jb}</td>|;
            $t1 .= qq|<td>$U->{gu}</td>|;
            $t1 .= qq|<td>$U->{wn}</td>|;
            $t1 .= qq|<td>$U->{ls}</td>|;
            $t1 .= qq|<td>$U->{dr}</td>|;
            $t1 .= qq|<td>$U->{kl}</td>|;
            $t1 .= qq|<td>$U->{dt}</td>|;
            $t1 .= qq|<td nowrap>$U->{rt}</td>|;
            $t1 .= qq|<td>$U->{w1}</td>|;
            $t1 .= qq|</tr>\n|;
        }
    }

    $t2  = &header(CSS=>'list',GetTag=>1);
    $t2 .= "<table>\n$t1</table>\n";
    $t2 .= &footer(GetTag=>1);
    &write_dat($set::rnk_htm,$t2);
    &transfer_HTML($set::rnk_htm);
}

# Sub Statistics Gage #
sub statistics_gage {
my  $L = shift;
my  $C = shift;
my  $X;

    $L  = int($L) * $set::psl;
    $X  = 100 * $set::psl - $L;
    $L  = qq|<img src=$set::mim_dir/gage$C.gif width=$L height=8>|;
    $X  = qq|<img src=$set::mim_dir/gage0.gif width=$X height=8>| if $X;
    $X  = undef if !$X;
    return("<span class=gage>$L$X</span>");
}

# Sub Playerlist Decorate Item #
sub playerlist_decorate_item {
my  $Si = shift;

    $Si->{nm} .= ' i'. &get_passage($Si->{bt},$set::pyt) . '΁j' if $Si->{bt};
    $Si->{nm} .= "+$Si->{pl}" if $Si->{pl};
    $Si->{nm} .= "[$Si->{db}]" if $Si->{db};
    $Si->{nm} = "<span class=i$Si->{gd}>$Si->{nm}</span>" if $Si->{gd};
    $Si->{nm} = "<span class=Ex>Ex</span>".$Si->{nm}      if $Si->{Ql}{Ex};
    $Si->{nm} = &item_image($Si).$Si->{nm};
    $Si->{nm} .= " x $Si->{qn}" if $Si->{qn} > 1;
}

# --------------------------------------------------- #
1;
